/*
 * ******************************************************************************
 *  Copyright © 2016 Ruben Carmona Zurita. All rights reserved. The total or
 *  partial reproduction of this work it is forbidden by any means or process,
 *  including printing, reprography, microfilm, computer processing or any
 *  other system, as well as the distribution of copies by rental and lending,
 *  without the written permission of the author or the limits authorized by
 *  the law of intellectual property.
 *  ******************************************************************************
 */

package com.uoc.tfm.analyzerhandler.activities;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;

import com.uoc.tfm.analyzerhandler.R;
import com.uoc.tfm.analyzerhandler.common.AppGlobals;
import com.uoc.tfm.analyzerhandler.common.NotifyingHandler;
import com.uoc.tfm.analyzerhandler.util.SharePreferenceUtil;

import org.jboss.aerogear.android.unifiedpush.MessageHandler;
import org.jboss.aerogear.android.unifiedpush.RegistrarManager;
import org.jboss.aerogear.android.unifiedpush.gcm.UnifiedPushMessage;

/**
 * @author Ruben Carmona
 * @project TFM - Analyzer Handler
 * @date 04/2016
 */
public class SplashActivity extends Activity implements MessageHandler {

    private static final String TAG = SplashActivity.class.getSimpleName();

    private String IP = "192.168.0.161";
    private String baseDatos = "/analyzer_simulator";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_splash);

        try {
            AppGlobals.SERVER_IP = SharePreferenceUtil.getStringValue(getApplicationContext(), "SERVER_IP");
//            AppGlobals.DATABASE_NAME = SharePreferenceUtil.getStringValue(getApplicationContext(), "DATABASE_NAME");


            Thread timerThread = new Thread() {
                public void run() {
                    try {
                        sleep(3000);
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    } finally {
                        Intent intent = new Intent(SplashActivity.this, LoginActivity.class);
                        startActivity(intent);
                    }
                }
            };
            timerThread.start();

//           new DBUtil(getApplicationContext()).execute(IP+":3306", baseDatos, "Tests");
        } catch (Exception e) {
            Toast.makeText(getApplicationContext(), e.getLocalizedMessage(), Toast.LENGTH_LONG).show();
            Log.e("", e.getLocalizedMessage());
        }

//        RegistrarManager.config("register", AeroGearGCMPushConfiguration.class)
//                .setPushServerURI(URI.create(AppGlobals.UNIFIED_PUSH_URL.replace("<server>", IP)))
//                .setSenderIds(AppGlobals.GCM_SENDER_ID)
//                .setVariantID(AppGlobals.VARIANT_ID)
//                .setSecret(AppGlobals.SECRET)
//                .asRegistrar();

//        PushRegistrar registrar = RegistrarManager.config("register", AeroGearGCMPushConfiguration.class)
//                .setPushServerURI(URI.create(AppGlobals.UNIFIED_PUSH_URL.replace("<server>", IP)))
//                .setSenderIds(AppGlobals.GCM_SENDER_ID)
//                .setVariantID(AppGlobals.VARIANT_ID)
//                .setSecret(AppGlobals.SECRET)
//                .asRegistrar();//RegistrarManager.getRegistrar("register");
//
//        registrar.register(getApplicationContext(), new Callback<Void>() {
//            @Override
//            public void onSuccess(Void data) {
//                Log.d(TAG, "Registration Succeeded");
//                Toast.makeText(getApplicationContext(),
//                        "Yay, Device registered", Toast.LENGTH_LONG).show();
//            }
//
//            @Override
//            public void onFailure(Exception e) {
//                Log.e(TAG, e.getLocalizedMessage(), e);
//                Toast.makeText(getApplicationContext(),
//                        "Ops, something is wrong :(", Toast.LENGTH_LONG).show();
//            }
//        });
    }

    @Override
    public void onMessage(Context context, Bundle bundle) {
        // display the message contained in the payload
        Toast.makeText(getApplicationContext(), bundle.getString(UnifiedPushMessage.ALERT_KEY), Toast.LENGTH_LONG).show();
    }

    @Override
    protected void onResume() {
        super.onResume();
        RegistrarManager.registerMainThreadHandler(this); // 1
        RegistrarManager.unregisterBackgroundThreadHandler(NotifyingHandler.instance);
    }

    @Override
    protected void onPause() {
        super.onPause();
        RegistrarManager.unregisterMainThreadHandler(this); // 2
        RegistrarManager.registerBackgroundThreadHandler(NotifyingHandler.instance);
    }

    @Override
    public void onDeleteMessage(Context context, Bundle message) {
        // handle GoogleCloudMessaging.MESSAGE_TYPE_DELETED
    }

    @Override
    public void onError() {
        // handle GoogleCloudMessaging.MESSAGE_TYPE_SEND_ERROR
    }
}
