/*
 * ******************************************************************************
 *  Copyright © 2016 Ruben Carmona Zurita. All rights reserved. The total or
 *  partial reproduction of this work it is forbidden by any means or process,
 *  including printing, reprography, microfilm, computer processing or any
 *  other system, as well as the distribution of copies by rental and lending,
 *  without the written permission of the author or the limits authorized by
 *  the law of intellectual property.
 *  ******************************************************************************
 */

package com.uoc.tfm.analyzerhandler.adapter;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentStatePagerAdapter;

import com.uoc.tfm.analyzerhandler.fragments.NotificationsAlarmsFragment;
import com.uoc.tfm.analyzerhandler.fragments.NotificationsInfoFragment;
import com.uoc.tfm.analyzerhandler.fragments.NotificationsWarningsFragment;

/**
 * @author Ruben Carmona
 * @project TFM - Analyzer Handler
 * @date 05/2016
 */
public class NotificationsViewPagerAdapter extends FragmentStatePagerAdapter {

    private NotificationsAlarmsFragment notificationsAlarmsFragment;
    private NotificationsInfoFragment notificationsInfoFragment;
    private NotificationsWarningsFragment notificationsWarningsFragment;

    public NotificationsViewPagerAdapter(FragmentManager fm) {
        super(fm);
        this.notificationsInfoFragment = new NotificationsInfoFragment();
        this.notificationsAlarmsFragment = new NotificationsAlarmsFragment();
        this.notificationsWarningsFragment = new NotificationsWarningsFragment();
    }

    @Override
    public Fragment getItem(int position) {

        switch (position) {
            case 0:
                return notificationsInfoFragment;
            case 1:
                return notificationsWarningsFragment;
            default:
                return notificationsAlarmsFragment;
        }
    }

    @Override
    public int getCount() {
        return 3;
    }

}