/*
 * ******************************************************************************
 *  Copyright © 2016 Ruben Carmona Zurita. All rights reserved. The total or
 *  partial reproduction of this work it is forbidden by any means or process,
 *  including printing, reprography, microfilm, computer processing or any
 *  other system, as well as the distribution of copies by rental and lending,
 *  without the written permission of the author or the limits authorized by
 *  the law of intellectual property.
 *  ******************************************************************************
 */
package com.uoc.tfm.analyzerhandler.entities;

import java.io.Serializable;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * @author Ruben Carmona
 * @project TFM - Analyzer Simulator
 * @filename User.java
 */
public class UserData implements Serializable {
    private static final String TAG = UserData.class.getSimpleName();

    private Integer id;
    private String username;
    private String name;
    private String surname;
    private String email;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public void fromResultSet(ResultSet pRS) {
        try {
            this.setId(pRS.getInt("id"));
            this.setUsername(pRS.getString("username"));
            this.setName(pRS.getString("name"));
            this.setSurname(pRS.getString("surname"));
            this.setEmail(pRS.getString("email"));
        } catch (SQLException e) {
            System.err.println(e.getMessage());
        }
    }
}
