/*
 * ******************************************************************************
 *  Copyright © 2016 Ruben Carmona Zurita. All rights reserved. The total or
 *  partial reproduction of this work it is forbidden by any means or process,
 *  including printing, reprography, microfilm, computer processing or any
 *  other system, as well as the distribution of copies by rental and lending,
 *  without the written permission of the author or the limits authorized by
 *  the law of intellectual property.
 *  ******************************************************************************
 */
package com.uoc.tfm.analyzerhandler.entities;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Timestamp;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename WorklistTest.java
 */
public class WorklistTestData extends TestData
{
  private static final String TAG = WorklistTestData.class.getSimpleName();

  public static final String STATUS_OK = "OK";
  public static final String STATUS_KO = "KO";

  private Integer worklistID;
  private Integer analyzerID;
  private Timestamp initTime;
  private Timestamp finishTime;
  private String status;

  public WorklistTestData()
  {

  }

  public WorklistTestData(TestData pTest)
  {
    this.fromTest(pTest);
  }

  public Timestamp getInitTime()
  {
    return initTime;
  }

  public void setInitTime(Timestamp initTime)
  {
    this.initTime = initTime;
  }

  public Timestamp getFinishTime()
  {
    return finishTime;
  }

  public void setFinishTime(Timestamp finishTime)
  {
    this.finishTime = finishTime;
  }

  public String getStatus()
  {
    return status;
  }

  public void setStatus(String status)
  {
    this.status = status;
  }

  public Integer getWorklistID()
  {
    return worklistID;
  }

  public void setWorklistID(Integer worklistID)
  {
    this.worklistID = worklistID;
  }

  public Integer getAnalyzerID()
  {
    return analyzerID;
  }

  public void setAnalyzerID(Integer analyzerID)
  {
    this.analyzerID = analyzerID;
  }

  public void fromResultSet(ResultSet pRS)
  {
    super.fromResultSet(pRS, true);
    try
    {
      this.setWorklistID(pRS.getInt("Worklist_id"));
      this.setAnalyzerID(pRS.getInt("Worklist_Analyzer_id"));
      this.setInitTime(pRS.getTimestamp("inittime"));
      this.setFinishTime(pRS.getTimestamp("finishtime"));
    }
    catch (SQLException e)
    {
      System.err.println(e.getMessage());
    }

  }
}
