/*
 * ******************************************************************************
 *  Copyright © 2016 Ruben Carmona Zurita. All rights reserved. The total or
 *  partial reproduction of this work it is forbidden by any means or process,
 *  including printing, reprography, microfilm, computer processing or any
 *  other system, as well as the distribution of copies by rental and lending,
 *  without the written permission of the author or the limits authorized by
 *  the law of intellectual property.
 *  ******************************************************************************
 */

package com.uoc.tfm.analyzerhandler.util;

import android.content.Context;
import android.os.AsyncTask;
import android.widget.Toast;

import com.uoc.tfm.analyzerhandler.common.AppGlobals;

import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * @author Ruben Carmona
 * @project TFM - Analyzer Handler
 * @date 04/2016
 */
public class DBUtil extends AsyncTask<String, Void, ResultSet> {

    private static final String TAG = DBUtil.class.getSimpleName();

    private Context appContext;

    public DBUtil(Context pAppContext) {
        this.appContext = pAppContext;
    }

    @Override
    protected ResultSet doInBackground(String... strings) {

        try {
            if (AppGlobals.conn == null) {
                Class.forName("com.mysql.jdbc.Driver");
                AppGlobals.conn = DriverManager.getConnection("jdbc:mysql://" + strings[0] + strings[1], "tfm_user", "tfm_user");
            }
            Statement estado = AppGlobals.conn.createStatement();
            System.out.println("Conexion establecida");
            String peticion = "select * from " + strings[2] + " where nombre='" + strings[3] + "'";
            ResultSet result = estado.executeQuery(peticion);
            AppGlobals.conn.close();
            return result;
        } catch (SQLException e) {
            e.printStackTrace();
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
        return null;
    }

    @Override
    protected void onPostExecute(ResultSet result) {

        try {
            if (result != null) {

                if (!result.next()) {
                    Toast toast = Toast.makeText(appContext, "No existen resultados con ese nombre", Toast.LENGTH_LONG);
                    toast.show();
                } else {
                    result.previous();
                    while (result.next()) {
                        Toast.makeText(appContext, result.getString("description"), Toast.LENGTH_SHORT).show();
                    }
                }
            } else {
                Toast toast = Toast.makeText(appContext, "La videoconsola no est� en la base de datos", Toast.LENGTH_LONG);
                toast.show();
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }

    }
}
