/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita. All rights reserved. The total or partial reproduction of this work it is forbidden by any means or process, including printing, reprography, microfilm, computer processing or any other system, as well as the distribution of copies by rental and lending,
 * without the written permission of the author or the limits authorized by the law of intellectual property.
 *******************************************************************************/
package com.tfm_uoc.common;

import javax.swing.ImageIcon;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename AImageUtil.java
 */
public class AImageUtil
{
  public final static ImageIcon connectedIcon = loadImage("connected.png");
  public final static ImageIcon disconnectedIcon = loadImage("disconnected.png");

  public final static ImageIcon alarmIcon = loadImage("alarmIcon.png");
  public final static ImageIcon errorIcon = loadImage("errorIcon.png");
  public final static ImageIcon warningIcon = loadImage("warning.png");
  public final static ImageIcon infoIcon = loadImage("infoIcon.png");
  public final static ImageIcon tubeIcon = loadImage("tubeIcon.png");
  public final static ImageIcon okIcon = loadImage("okIcon.png");
  public final static ImageIcon processing = loadImage("processing.gif");

  public static ImageIcon loadImage(String string)
  {
    java.net.URL imgURL = AImageUtil.class.getResource("/images/" + string);
    if (imgURL != null)
    {
      return new ImageIcon(imgURL, string);
    }
    else
    {
      System.err.println("Couldn't find file: /images/" + string);
      return null;
    }
  }
}
