package com.tfm_uoc.common;

import java.security.KeyManagementException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.X509Certificate;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLSession;
import javax.net.ssl.TrustManager;
import javax.net.ssl.X509TrustManager;

import org.jboss.aerogear.unifiedpush.DefaultPushSender;
import org.jboss.aerogear.unifiedpush.PushSender;
import org.jboss.aerogear.unifiedpush.message.MessageResponseCallback;
import org.jboss.aerogear.unifiedpush.message.UnifiedMessage;

import com.tfm_uoc.entities.NotificationData;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename PushNotifications.java
 */
public class PushNotifications
{

  static
  {
    disableSslVerification();
  }

  private static void disableSslVerification()
  {
    try
    {
      // Create a trust manager that does not validate certificate chains
      TrustManager[] trustAllCerts = new TrustManager[] { new X509TrustManager()
      {
        public java.security.cert.X509Certificate[] getAcceptedIssuers()
        {
          return null;
        }

        public void checkClientTrusted(X509Certificate[] certs, String authType)
        {
        }

        public void checkServerTrusted(X509Certificate[] certs, String authType)
        {
        }
      } };

      // Install the all-trusting trust manager
      SSLContext sc = SSLContext.getInstance("SSL");
      sc.init(null, trustAllCerts, new java.security.SecureRandom());
      HttpsURLConnection.setDefaultSSLSocketFactory(sc.getSocketFactory());

      // Create all-trusting host name verifier
      HostnameVerifier allHostsValid = new HostnameVerifier()
      {
        public boolean verify(String hostname, SSLSession session)
        {
          return true;
        }
      };

      // Install the all-trusting host verifier
      HttpsURLConnection.setDefaultHostnameVerifier(allHostsValid);
    }
    catch (NoSuchAlgorithmException e)
    {
      e.printStackTrace();
    }
    catch (KeyManagementException e)
    {
      e.printStackTrace();
    }
  }

  private static final String pushApplicationID = "8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6";
  private static final String pushMasterSecret = "708f4226-678a-4853-9834-ea95b8abc631";
  public static String pushServerURL = "localhost/ag-push/";
  public static PushSender defaultPushSender = null;
  public static ExecutorService execServ = Executors.newSingleThreadExecutor();

  public static void initSender()
  {
    if (defaultPushSender == null)
    {
      defaultPushSender = DefaultPushSender.withRootServerURL(pushServerURL).pushApplicationId(pushApplicationID).masterSecret(pushMasterSecret).build();
    }
  }

  public static void sendNotification(NotificationData pNotifData)
  {
    execServ.execute(new RunnableNotification(pNotifData));
  }

}

class RunnableNotification implements Runnable
{

  private NotificationData notifData;

  public RunnableNotification(NotificationData pNotifData)
  {
    this.notifData = pNotifData;
  }

  @Override
  public void run()
  {
    try
    {
      Thread.sleep(3000);

      PushNotifications.initSender();

      UnifiedMessage unifiedMessage = UnifiedMessage.withMessage()                 // [2]
          .alert(notifData.getAnalyzerCode() + "#" + notifData.getDescription()).sound("default").badge("1").config().timeToLive(3600).criteria().categories(notifData.getKind()) // [4]
          .build();

      PushNotifications.defaultPushSender.send(unifiedMessage, new MessageResponseCallback()
      {

        @Override
        public void onComplete()
        {
          System.out.println("Complete --> " + notifData.getDescription());
        }

      });

    }
    catch (InterruptedException e)
    {
      System.err.println(e.getLocalizedMessage());
    }

  }

}
