/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita.
 * All rights reserved. The total or partial reproduction of this work it is 
 * forbidden by any means or process, including printing, reprography, 
 * microfilm, computer processing or any other system, as well as the 
 * distribution of copies by rental and lending, without the written 
 * permission of the author or the limits authorized by the law of 
 * intellectual property.
 *******************************************************************************/
package com.tfm_uoc.common;

import java.awt.Color;
import java.awt.Component;

import javax.swing.UIManager;
import javax.swing.table.TableColumn;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename UIUtil.java
 */
public class UIUtils
{
  public static final Color foreColor = new Color(189, 195, 199);
  public static final Color foreColorDark = new Color(108, 122, 137);

  public static final Color selectedBackground = Color.WHITE;
  public static final Color nonSelectedBackground = new Color(238, 238, 238);
  public static final Color overlayColor = new Color(1.0f, 1.0f, 1.0f, 0.6f);

  public static final Color errorColor = new Color(207, 0, 15);
  public static final Color warningColor = new Color(249, 191, 59);
  public static final Color infoColor = new Color(33, 150, 243);
  public static final Color okColor = new Color(46, 204, 113);
  public static final Color lineTabSelectedColor = new Color(51, 110, 123);

  public static final Color enabledBackground = Color.WHITE;
  public static final Color enabledForeground = Color.DARK_GRAY;
  public static final Color disabledBackground = Color.LIGHT_GRAY;
  public static final Color rolloverBackground = new Color(52, 152, 219);
  public static final Color disabledForeground = new Color(189, 195, 199);

  public static void setUIFont(javax.swing.plaf.FontUIResource f)
  {
    java.util.Enumeration<Object> keys = UIManager.getDefaults().keys();
    while (keys.hasMoreElements())
    {
      Object key = keys.nextElement();
      Object value = UIManager.get(key);
      if (value != null && value instanceof javax.swing.plaf.FontUIResource)
        UIManager.put(key, f);
    }
  }

  public static void setFixedSize(Component pComponent, int pWidth, int pHeight)
  {
    pComponent.setPreferredSize(new java.awt.Dimension(pWidth, pHeight));
    pComponent.setMaximumSize(new java.awt.Dimension(pWidth, pHeight));
    pComponent.setMinimumSize(new java.awt.Dimension(pWidth, pHeight));
  }

  /**
   * @param column
   * @param pWidth
   * @param pHeight
   */
  public static void setTableColumnFixedSize(TableColumn pColumn, int pWidth)
  {
    pColumn.setPreferredWidth(pWidth);
    pColumn.setMaxWidth(pWidth);
    pColumn.setMinWidth(pWidth);
  }
}
