package com.tfm_uoc.common;

import java.sql.Timestamp;
import java.util.Calendar;

import com.tfm_uoc.components.AAnalyzerPanel;
import com.tfm_uoc.database.WorklistDAO;
import com.tfm_uoc.entities.AnalyzerData;
import com.tfm_uoc.entities.NotificationData;
import com.tfm_uoc.entities.WorklistTestData;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename WorklistRunnable.java
 */
public class WorklistRunnable extends Thread implements Runnable
{
  AAnalyzerPanel aPanel;
  AnalyzerData analyzer;

  public WorklistRunnable(AAnalyzerPanel pPanel)
  {
    this.aPanel = pPanel;
    this.analyzer = pPanel.getAnalyzer();
  }

  @Override
  public void run()
  {
    for (WorklistTestData wtd : aPanel.getAnalyzer().getWorklist().get(0).getWorklistTestList())
    {
      if (wtd.getFinishTime() == null)
      {
        try
        {
          Thread.sleep(wtd.getMinutes() * 1000);
          Calendar cal = Calendar.getInstance();
          cal.setTimeInMillis(wtd.getInitTime().getTime());
          cal.add(Calendar.MINUTE, wtd.getMinutes());
          wtd.setFinishTime(new Timestamp(cal.getTimeInMillis()));
          WorklistDAO wDAO = new WorklistDAO();
          wDAO.updateFinishTime(wtd);
          System.out.println(wtd.toString());
          aPanel.getaWorklistTable().updateTableData();
        }
        catch (InterruptedException e)
        {
        }
      }
    }

    Common.hm.remove(analyzer.getId());
    if (aPanel.getAnalyzer().getId().equals(analyzer.getId()))
    {
      aPanel.getBtnStartResetWorklist().setText("Reset");
      aPanel.getBtnStartResetWorklist().setEnabled(true);
      aPanel.getBtnStartResetWorklist().setIcon(null);
      aPanel.getBtnRemoveTest().setEnabled(true);
      aPanel.getBtnAddTest().setEnabled(false);
    }
    NotificationData aNotifData = new NotificationData();
    aNotifData.setTime(new Timestamp(System.currentTimeMillis()));
    aNotifData.setAnalyzerID(analyzer.getId());
    aNotifData.setAnalyzerCode(analyzer.getCode());
    aNotifData.setDescription("Worklist finished");
    aNotifData.setKind("I");
    System.out.println(aNotifData.toString());

    PushNotifications.sendNotification(aNotifData);
  }

}
