/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita.
 * All rights reserved. The total or partial reproduction of this work it is 
 * forbidden by any means or process, including printing, reprography, 
 * microfilm, computer processing or any other system, as well as the 
 * distribution of copies by rental and lending, without the written 
 * permission of the author or the limits authorized by the law of 
 * intellectual property.
 *******************************************************************************/
package com.tfm_uoc.components;

import java.awt.Color;
import java.awt.Component;

import javax.swing.BorderFactory;
import javax.swing.DefaultListModel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import com.tfm_uoc.common.UIUtils;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename AAnalyzerList.java
 */
public class AAnalyzerList extends JList<AAnalyzerDetailLabel>
{

  public AAnalyzerList()
  {
    super();
    this.setCellRenderer(new AnalyzerCellRenderer());
  }

  public AAnalyzerList(AAnalyzerDetailLabel[] pAnalyzers)
  {
    super(pAnalyzers);
    this.setCellRenderer(new AnalyzerCellRenderer());
  }

  public AAnalyzerList(DefaultListModel<AAnalyzerDetailLabel> pListModel)
  {
    super(pListModel);
    this.setCellRenderer(new AnalyzerCellRenderer());
  }

  class AnalyzerCellRenderer extends AAnalyzerDetailLabel implements ListCellRenderer<Object>
  {
    public AnalyzerCellRenderer()
    {
      this.setOpaque(true);
      this.setBackground(Color.LIGHT_GRAY);
      this.setIconTextGap(12);
      this.setBorder(BorderFactory.createEmptyBorder(1, 1, 5, 1));
    }

    public Component getListCellRendererComponent(JList<?> list, Object value, int index, boolean isSelected, boolean cellHasFocus)
    {
      AAnalyzerDetailLabel detail = (AAnalyzerDetailLabel) value;
      if (isSelected)
      {
        detail.setBackground(UIUtils.selectedBackground);
      }
      else
      {
        detail.setBackground(UIUtils.nonSelectedBackground);
      }
      return detail;
    }
  }
}
