/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita.
 * All rights reserved. The total or partial reproduction of this work it is 
 * forbidden by any means or process, including printing, reprography, 
 * microfilm, computer processing or any other system, as well as the 
 * distribution of copies by rental and lending, without the written 
 * permission of the author or the limits authorized by the law of 
 * intellectual property.
 *******************************************************************************/
package com.tfm_uoc.components;

import java.awt.Color;

import javax.swing.ImageIcon;
import javax.swing.JCheckBox;
import javax.swing.SwingConstants;

import com.tfm_uoc.common.AImageUtil;
import com.tfm_uoc.common.UIUtils;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename ACheckbox.java
 */
public class ACheckbox extends JCheckBox
{
  private final ImageIcon unchecked = AImageUtil.loadImage("toggle-off.png");
  private final ImageIcon checked = AImageUtil.loadImage("toggle-on.png");

  public ACheckbox()
  {
    super();
    init();
  }

  public ACheckbox(String pTitle)
  {
    super(pTitle);
    init();
  }

  private void init()
  {
    this.setIcon(unchecked);
    this.setDisabledIcon(unchecked);
    this.setDisabledSelectedIcon(checked);
    this.setSelectedIcon(checked);
    this.setPressedIcon(checked);
    this.setSelectedIcon(checked);
    this.setIconTextGap(20);
    this.setHorizontalTextPosition(SwingConstants.CENTER);
    this.setVerticalTextPosition(SwingConstants.BOTTOM);
    this.setFont(this.getFont().deriveFont(12f));
  }

  @Override
  public int getIconTextGap()
  {
    return 15;
  }

  @Override
  public Color getForeground()
  {
    return isSelected() ? Color.GREEN.darker() : UIUtils.foreColor;
  }

}
