/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita.
 * All rights reserved. The total or partial reproduction of this work it is 
 * forbidden by any means or process, including printing, reprography, 
 * microfilm, computer processing or any other system, as well as the 
 * distribution of copies by rental and lending, without the written 
 * permission of the author or the limits authorized by the law of 
 * intellectual property.
 *******************************************************************************/
package com.tfm_uoc.components;

import java.util.ArrayList;

import javax.swing.JComboBox;

import com.tfm_uoc.database.NotificationsDAO;
import com.tfm_uoc.entities.NotificationData;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename TestComboBox.java
 */
public class NotificationsComboBox extends JComboBox<NotificationData>
{
  private String kind;
  NotificationsDAO notificationDAO = new NotificationsDAO();

  public NotificationsComboBox(String pKind)
  {
    this.kind = pKind;
    getDefinedNotifications();
  }

  public void updateByAnalyzerTest(ArrayList<String> pTestCodeList)
  {
    ArrayList<NotificationData> dbNotifications = notificationDAO.getAllAvailableNotificationsByKindAndTestCode(this.kind, pTestCodeList);

    this.removeAllItems();

    for (NotificationData aNotif : dbNotifications)
    {
      this.addItem(aNotif);
    }
  }

  private void getDefinedNotifications()
  {
    ArrayList<NotificationData> dbNotifications = notificationDAO.getAllAvailableNotificationsByKind(this.kind);

    this.removeAllItems();

    for (NotificationData aNotif : dbNotifications)
    {
      this.addItem(aNotif);
    }
  }
}
