/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita.
 * All rights reserved. The total or partial reproduction of this work it is 
 * forbidden by any means or process, including printing, reprography, 
 * microfilm, computer processing or any other system, as well as the 
 * distribution of copies by rental and lending, without the written 
 * permission of the author or the limits authorized by the law of 
 * intellectual property.
 *******************************************************************************/
package com.tfm_uoc.components;

import java.util.ArrayList;

import javax.swing.JComboBox;

import com.tfm_uoc.database.TestsDAO;
import com.tfm_uoc.entities.AnalyzerData;
import com.tfm_uoc.entities.TestData;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename TestComboBox.java
 */
public class TestComboBox extends JComboBox<TestData>
{
  private ArrayList<TestData> testToShow;
  private AnalyzerData analyzer;

  // public TestComboBox(ArrayList<WorklistTestData> pExistingTests)
  // {
  // getDefinedTests(pExistingTests);
  //
  // for (TestData aTest : testToShow)
  // {
  // this.addItem(aTest);
  // }
  //
  // }

  public TestComboBox(AnalyzerData pAnalyzer, boolean pAll)
  {
    this.analyzer = pAnalyzer;
    TestsDAO testDAO = new TestsDAO();
    ArrayList<TestData> dbTests = pAll ? testDAO.getAllConfiguredTestForAnAnalyzer(analyzer) : getDefinedTests(pAnalyzer);
    for (TestData aTest : dbTests)
    {
      this.addItem(aTest);
    }
  }

  public void update(AnalyzerData pAnalyzer)
  {
    this.analyzer = pAnalyzer;
    this.removeAllItems();
    TestsDAO testDAO = new TestsDAO();
    testToShow = testDAO.getAllConfiguredTestForAnAnalyzer(analyzer);
    for (TestData aTest : testToShow)
    {
      this.addItem(aTest);
    }
  }

  private ArrayList<TestData> getDefinedTests(AnalyzerData pAnalyzer)
  {
    TestsDAO testDAO = new TestsDAO();
    ArrayList<TestData> dbTests = testDAO.getAllAvailableTest(pAnalyzer.getId());
    testToShow = new ArrayList<>();

    for (TestData aTest : dbTests)
    {
      boolean finded = false;
      for (TestData existTest : pAnalyzer.getWorklist().get(0).getWorklistTestList())
      {
        if (aTest.getId().equals(existTest.getId()))
        {
          finded = true;
          break;
        }
      }

      if (!finded)
      {
        testToShow.add(aTest);
      }
    }
    return testToShow;
  }

  public void getFakeDefinedTests(ArrayList<TestData> pExistingTests)
  {

    java.util.Random rnd = new java.util.Random();
    int testID = 5;
    testToShow = new ArrayList<>();
    while (testID < 15)
    {
      TestData aTest = new TestData();
      aTest.setId(new Integer(testID));
      aTest.setCode("Code " + testID);
      aTest.setDescription("Description " + testID);
      aTest.setMinutes(rnd.nextInt(90));
      aTest.setUnits(rnd.nextInt(3) % 2 == 0 ? "%" : "s");
      aTest.setFeasibility(rnd.nextInt(100));

      boolean finded = false;
      for (TestData existTest : pExistingTests)
      {
        if (aTest.getId().equals(existTest.getId()))
        {
          finded = true;
          break;
        }
      }

      if (!finded)
        testToShow.add(aTest);

      testID++;
    }
  }
}
