/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita. All rights reserved. The total or partial reproduction of this work it is forbidden by any means or process, including printing, reprography, microfilm, computer processing or any other system, as well as the distribution of copies by rental and lending,
 * without the written permission of the author or the limits authorized by the law of intellectual property.
 *******************************************************************************/
package com.tfm_uoc.database;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.swing.JOptionPane;

import com.tfm_uoc.main.AnalyzerSimulatorWindow;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename MySQLAccess.java
 */
public class MySQLDAO
{
  protected static Connection connect = null;
  protected Statement stmt = null;
  protected PreparedStatement preparedStmt = null;
  protected ResultSet resultSet = null;

  protected static void initConnection(String pServerIP)
  {
    if (connect == null)
    {
      try
      {
        // This will load the MySQL driver, each DB has its own driver
        Class.forName("com.mysql.jdbc.Driver");
        // Setup the connection with the DB
        connect = DriverManager.getConnection("jdbc:mysql://" + pServerIP + ":3306/analyzer_simulator?user=tfm_user&password=tfm_user&useUnicode=true&characterEncoding=UTF-8");
      }
      catch (ClassNotFoundException | SQLException e)
      {
        System.err.println(e.getMessage());
        JOptionPane.showMessageDialog(AnalyzerSimulatorWindow.mainFrame, e.getLocalizedMessage(), "Connection Error", JOptionPane.ERROR_MESSAGE);
        System.exit(-1);
      }
    }
  }

  protected void closeStatement()
  {
    if (stmt != null)
    {
      try
      {
        stmt.close();
      }
      catch (SQLException e)
      {
        System.err.println(e.getMessage());
      }
    }
  }

  // You need to close the resultSet
  protected void close()
  {
    try
    {
      if (resultSet != null)
      {
        resultSet.close();
      }

      if (stmt != null)
      {
        stmt.close();
      }

      if (preparedStmt != null)
      {
        preparedStmt.close();
      }
    }
    catch (Exception e)
    {

    }
  }

}
