/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita.
 * All rights reserved. The total or partial reproduction of this work it is 
 * forbidden by any means or process, including printing, reprography, 
 * microfilm, computer processing or any other system, as well as the 
 * distribution of copies by rental and lending, without the written 
 * permission of the author or the limits authorized by the law of 
 * intellectual property.
 *******************************************************************************/
package com.tfm_uoc.entities;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename Test.java
 */
public class TestData
{

  private Integer id;
  private String code;
  private String description;
  private Integer minutes;
  private String units;
  private Integer feasibilityWarning;
  private Integer feasibility;

  public TestData()
  {

  }

  protected void fromTest(TestData pTest)
  {
    this.setId(pTest.getId());
    this.setCode(pTest.getCode());
    this.setDescription(pTest.getDescription());
    this.setMinutes(pTest.getMinutes());
    this.setUnits(pTest.getUnits());
    this.setFeasibilityWarning(pTest.getFeasibilityWarning());
    this.setFeasibility(pTest.getFeasibility());
  }

  public Integer getId()
  {
    return id;
  }

  public void setId(Integer id)
  {
    this.id = id;
  }

  public String getCode()
  {
    return code;
  }

  public void setCode(String code)
  {
    this.code = code;
  }

  public String getDescription()
  {
    return description;
  }

  public void setDescription(String description)
  {
    this.description = description;
  }

  public Integer getMinutes()
  {
    return minutes;
  }

  public void setMinutes(Integer minutes)
  {
    this.minutes = minutes;
  }

  public String getUnits()
  {
    return units;
  }

  public void setUnits(String units)
  {
    this.units = units;
  }

  public Integer getFeasibilityWarning()
  {
    return feasibilityWarning;
  }

  public void setFeasibilityWarning(Integer feasibilityWarning)
  {
    this.feasibilityWarning = feasibilityWarning;
  }

  public Integer getFeasibility()
  {
    return feasibility;
  }

  public void setFeasibility(Integer feasibility)
  {
    this.feasibility = feasibility;
  }

  @Override
  public String toString()
  {
    return this.getCode() + " - " + this.getDescription();
  }

  public void fromResultSet(ResultSet pRS, boolean pForAnalyzer)
  {
    try
    {
      this.setId(pRS.getInt("id"));
      this.setCode(pRS.getString("code"));
      this.setDescription(pRS.getString("description"));
      this.setMinutes(pRS.getInt("minutes"));
      this.setUnits(pRS.getString("units"));
      this.setFeasibilityWarning(pRS.getInt("feasibility_warning"));

      if (pForAnalyzer)
      {
        this.setFeasibility(pRS.getInt("feasibility"));
      }
    }
    catch (SQLException e)
    {
      System.err.println(e.getMessage());
    }
  }
}
