/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita.
 * All rights reserved. The total or partial reproduction of this work it is 
 * forbidden by any means or process, including printing, reprography, 
 * microfilm, computer processing or any other system, as well as the 
 * distribution of copies by rental and lending, without the written 
 * permission of the author or the limits authorized by the law of 
 * intellectual property.
 *******************************************************************************/
package com.tfm_uoc.main;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;

import com.tfm_uoc.components.AButton;
import com.tfm_uoc.components.TestComboBox;
import com.tfm_uoc.database.WorklistDAO;
import com.tfm_uoc.entities.AnalyzerData;
import com.tfm_uoc.entities.TestData;
import com.tfm_uoc.entities.WorklistTestData;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename AddTestDialog.java
 */
public class AddTestWorklistDialog extends JDialog
{

  private TestComboBox aTestCombo;
  private AnalyzerData analyzer;

  public AddTestWorklistDialog(AnalyzerData pAnalyzer)
  {
    super(AnalyzerSimulatorWindow.mainFrame, true);
    this.analyzer = pAnalyzer;

    this.setTitle("Add Test");
    aTestCombo = new TestComboBox(this.analyzer, false);

    JPanel centerPanel = new JPanel(new FlowLayout(FlowLayout.TRAILING, 10, 10));

    centerPanel.add(new JLabel("Test :"));
    centerPanel.add(aTestCombo);
    centerPanel.setOpaque(true);
    centerPanel.setBackground(Color.WHITE);

    AButton aButton = new AButton("Add");
    aButton.addActionListener(new ActionListener()
    {

      @Override
      public void actionPerformed(ActionEvent e)
      {
        WorklistDAO aWorklistDAO = new WorklistDAO();
        WorklistTestData aWTD = aWorklistDAO.addTestToWorklist((TestData) aTestCombo.getSelectedItem(), analyzer.getId(), analyzer.getWorklist().get(0).getId());
        analyzer.getWorklist().get(0).getWorklistTestList().add(0, aWTD);
        AddTestWorklistDialog.this.dispose();
      }

    });

    JPanel southPanel = new JPanel(new FlowLayout(FlowLayout.RIGHT));
    southPanel.add(aButton);
    southPanel.setOpaque(true);
    southPanel.setBackground(Color.WHITE);

    JPanel aPanel = new JPanel(new BorderLayout());
    aPanel.add(centerPanel, BorderLayout.CENTER);
    aPanel.add(southPanel, BorderLayout.SOUTH);

    getContentPane().add(aPanel);
  }

}
