/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita.
 * All rights reserved. The total or partial reproduction of this work it is 
 * forbidden by any means or process, including printing, reprography, 
 * microfilm, computer processing or any other system, as well as the 
 * distribution of copies by rental and lending, without the written 
 * permission of the author or the limits authorized by the law of 
 * intellectual property.
 *******************************************************************************/
package com.tfm_uoc.main;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.GridBagLayout;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

import com.sun.awt.AWTUtilities;
import com.tfm_uoc.common.SwingUtils;

/**
 * @project TFM - Analyzer Simulator
 * @author Ruben Carmona
 * @filename AnalyzerSimulatorWindow.java
 */

public class AnalyzerSimulatorDialog extends JDialog
{

  private static final long serialVersionUID = 1L;

  public AnalyzerSimulatorDialog(JFrame parent)
  {
    super(parent, true);

    setUndecorated(true);
    AWTUtilities.setWindowOpaque(this, false);

    setTitle("My Dialog");

    JLabel label = new JLabel("Hello World!");
    label.setForeground(Color.WHITE);
    label.setFont(new Font(label.getFont().getFontName(), Font.PLAIN, 20));

    JPanel panel = new JPanel(new GridBagLayout());
    panel.setBackground(new Color(0xAA05579));
    panel.setLayout(new GridBagLayout());
    panel.add(label);
    panel.setPreferredSize(new Dimension(400, 300));

    // the following two lines are only needed because there is no
    // focusable component in here, and the "hit espace to close" requires
    // the focus to be in the dialog. If you have a button, a textfield,
    // or any focusable stuff, you don't need these lines.
    panel.setFocusable(true);
    panel.requestFocusInWindow();

    getContentPane().add(panel);

    SwingUtils.createDialogBackPanel(this, parent.getContentPane());
    SwingUtils.addEscapeToCloseSupport(this, true);
  }
}
