/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita. All rights reserved. The total or partial reproduction of this work it is forbidden by any means or process, including printing, reprography, microfilm, computer processing or any other system, as well as the distribution of copies by rental and lending,
 * without the written permission of the author or the limits authorized by the law of intellectual property.
 *******************************************************************************/
package com.tfm_uoc.main;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.SwingConstants;

import com.tfm_uoc.common.Common;
import com.tfm_uoc.components.AButton;
import com.tfm_uoc.database.TestsDAO;
import com.tfm_uoc.entities.AnalyzerData;
import com.tfm_uoc.entities.TestData;

/**
 * @project TFM - Analyzer Simulator
 * @author Rub
 * @filename AddTestDialog.java
 */
public class CreateTestDialog extends JDialog
{

  AnalyzerData analyzerData;
  TestsDAO aTestDAO = new TestsDAO();
  JTextField txfCode = new JTextField();
  JTextField txfDescription = new JTextField();
  JTextField txfUnits = new JTextField();
  JTextField txfTime = new JTextField();
  JTextField txfFeasibility = new JTextField();
  JTextField txfWarning = new JTextField();

  public CreateTestDialog(AnalyzerData pAnalyzer)
  {
    super(AnalyzerSimulatorWindow.mainFrame, true);

    this.analyzerData = pAnalyzer;
    this.setTitle("Create Test");

    JPanel centerPanel = new JPanel(new GridLayout(6, 2, 5, 5));

    centerPanel.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
    centerPanel.add(new JLabel("Code :", SwingConstants.RIGHT));
    centerPanel.add(txfCode);
    centerPanel.add(new JLabel("Description :", SwingConstants.RIGHT));
    centerPanel.add(txfDescription);
    centerPanel.add(new JLabel("Time to be done :", SwingConstants.RIGHT));
    centerPanel.add(txfTime);
    centerPanel.add(new JLabel("Units :", SwingConstants.RIGHT));
    centerPanel.add(txfUnits);
    centerPanel.add(new JLabel("Test Feasibility :", SwingConstants.RIGHT));
    centerPanel.add(txfFeasibility);
    centerPanel.add(new JLabel("Feasibility Warning :", SwingConstants.RIGHT));
    centerPanel.add(txfWarning);

    AButton aButton = new AButton("Create");
    aButton.addActionListener(new ActionListener()
    {

      @Override
      public void actionPerformed(ActionEvent e)
      {
        TestsDAO aTestDAO = new TestsDAO();
        String strCreateTest = aTestDAO.createTest(getTestFromPanel(), analyzerData);
        if (strCreateTest.startsWith(Common.COMMON_NO))
        {
          JOptionPane.showMessageDialog(AnalyzerSimulatorWindow.mainFrame, strCreateTest.substring(strCreateTest.indexOf("-") + 1).trim(), "Test Creation Error", JOptionPane.ERROR_MESSAGE);
        }
        CreateTestDialog.this.dispose();
      }

    });

    JPanel southPanel = new JPanel(new FlowLayout(FlowLayout.RIGHT));
    southPanel.add(aButton);

    JPanel aPanel = new JPanel(new BorderLayout());
    aPanel.add(centerPanel, BorderLayout.CENTER);
    aPanel.add(southPanel, BorderLayout.SOUTH);

    getContentPane().add(aPanel);
  }

  private TestData getTestFromPanel()
  {
    TestData aTest = new TestData();
    aTest.setCode(txfCode.getText());
    aTest.setDescription(txfDescription.getText());
    aTest.setUnits(txfUnits.getText());
    aTest.setFeasibility(new Integer(txfFeasibility.getText()));
    aTest.setFeasibilityWarning(new Integer(txfWarning.getText()));
    aTest.setMinutes(new Integer(txfTime.getText()));

    return aTest;
  }
}
