CREATE DATABASE  IF NOT EXISTS `analyzer_simulator` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `analyzer_simulator`;
-- MySQL dump 10.13  Distrib 5.5.49, for debian-linux-gnu (x86_64)
--
-- Host: 127.0.0.1    Database: analyzer_simulator
-- ------------------------------------------------------
-- Server version	5.5.49-0ubuntu0.14.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `Analyzer`
--

DROP TABLE IF EXISTS `Analyzer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Analyzer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(10) NOT NULL,
  `description` varchar(25) NOT NULL,
  `ip` varchar(11) NOT NULL,
  `type` char(1) NOT NULL,
  `connected` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `Analyzer_UQ_code` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Analyzer`
--

LOCK TABLES `Analyzer` WRITE;
/*!40000 ALTER TABLE `Analyzer` DISABLE KEYS */;
INSERT INTO `Analyzer` VALUES (1,'RT100','Routine Analyzer','1.1.1.1','1',1),(2,'SA200','Special Analyzer','1.1.1.2','1',1),(3,'UA300','Urgency Analyzer','1.1.1.3','1',1),(4,'CO400','Coagulation Analyzer','1.1.1.4','1',1),(5,'VIP500','VIP Analyzer','1.1.1.5','1',1);
/*!40000 ALTER TABLE `Analyzer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `AnalyzerNotifications`
--

DROP TABLE IF EXISTS `AnalyzerNotifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `AnalyzerNotifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Notifications_id` int(11) NOT NULL,
  `Analyzer_id` int(11) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `AnalyzerNotifications`
--

LOCK TABLES `AnalyzerNotifications` WRITE;
/*!40000 ALTER TABLE `AnalyzerNotifications` DISABLE KEYS */;
INSERT INTO `AnalyzerNotifications` VALUES (1,1,1,'2016-05-20 14:50:10'),(2,7,1,'2016-05-20 15:08:59'),(3,6,1,'2016-05-20 15:09:01'),(4,2,2,'2016-05-20 15:11:54'),(5,9,2,'2016-05-20 15:11:54'),(6,5,3,'2016-05-20 15:11:54'),(7,12,3,'2016-05-20 15:11:54'),(8,7,4,'2016-05-20 15:11:54'),(9,1,2,'2016-05-20 18:52:21');
/*!40000 ALTER TABLE `AnalyzerNotifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `AnalyzerTests`
--

DROP TABLE IF EXISTS `AnalyzerTests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `AnalyzerTests` (
  `Analyzer_id` int(11) NOT NULL,
  `Tests_id` int(11) NOT NULL,
  `feasibility` int(11) NOT NULL,
  PRIMARY KEY (`Analyzer_id`,`Tests_id`),
  KEY `AnalyzerTests_Tests` (`Tests_id`),
  CONSTRAINT `AnalyzerTests_Analyzer` FOREIGN KEY (`Analyzer_id`) REFERENCES `Analyzer` (`id`),
  CONSTRAINT `AnalyzerTests_Tests` FOREIGN KEY (`Tests_id`) REFERENCES `Tests` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `AnalyzerTests`
--

LOCK TABLES `AnalyzerTests` WRITE;
/*!40000 ALTER TABLE `AnalyzerTests` DISABLE KEYS */;
INSERT INTO `AnalyzerTests` VALUES (1,1,95),(1,2,55),(1,3,93),(1,4,98),(1,5,15),(1,6,78),(1,7,47),(1,8,0),(1,9,61),(1,10,6),(1,11,48),(1,12,23),(2,1,69),(2,2,76),(2,3,76),(2,4,50),(2,5,23),(2,6,67),(2,7,64),(2,8,21),(2,9,12),(2,10,99),(2,11,58),(2,12,95),(3,1,3),(3,2,27),(3,3,28),(3,4,59),(3,5,10),(3,6,77),(3,7,53),(3,8,35),(3,9,16),(3,10,75),(3,11,30),(3,12,25),(4,1,36),(4,2,5),(4,3,17),(4,4,71),(4,5,5),(4,6,11),(4,7,41),(4,8,73),(4,9,42),(4,10,90),(4,11,24),(4,12,52),(5,1,87),(5,2,83),(5,3,51),(5,4,6),(5,5,78),(5,6,74),(5,7,37),(5,8,63),(5,9,6),(5,10,40),(5,11,84),(5,12,1);
/*!40000 ALTER TABLE `AnalyzerTests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Notifications`
--

DROP TABLE IF EXISTS `Notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `description` varchar(25) NOT NULL,
  `kind` char(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `Notifications_UQ_Descr` (`description`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Notifications`
--

LOCK TABLES `Notifications` WRITE;
/*!40000 ALTER TABLE `Notifications` DISABLE KEYS */;
INSERT INTO `Notifications` VALUES (1,'Hardware Warning','W'),(2,'Coagulation Warning','W'),(3,'Sampling Warning','W'),(4,'Hardware Error','A'),(5,'Sampling Error','A'),(6,'Coagulation Error','A'),(7,'APPTR - F. Warning','I'),(8,'APPTS - F. Warning','I'),(9,'ATIII - F. Warning','I'),(10,'DD - F. Warning','I'),(11,'FIBC - F. Warning','I'),(12,'FIBD - F. Warning','I'),(13,'FII - F. Warning','I'),(14,'FIX - F. Warning','I'),(15,'FV - F. Warning','I'),(16,'INR - F. Warning','I'),(17,'PTRPI - F. Warning','I'),(18,'PTRPP - F. Warning','I');
/*!40000 ALTER TABLE `Notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Tests`
--

DROP TABLE IF EXISTS `Tests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Tests` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(10) NOT NULL,
  `description` varchar(50) NOT NULL,
  `minutes` int(11) NOT NULL,
  `units` varchar(5) NOT NULL,
  `feasibility_warning` int(11) NOT NULL DEFAULT '25',
  PRIMARY KEY (`id`),
  UNIQUE KEY `Tests_UQ_Code` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Tests`
--

LOCK TABLES `Tests` WRITE;
/*!40000 ALTER TABLE `Tests` DISABLE KEYS */;
INSERT INTO `Tests` VALUES (1,'APPTR','APTT (ratio)',5,'ratio',25),(2,'APPTS','APTT (s)',5,'sec',25),(3,'DD','D-Dimer',15,'ng/mL',25),(4,'FIBC','Fibrinogen Clauss',20,'s',25),(5,'FIBD','Fibrinogen Derived',20,'mg/dL',25),(6,'ATIII','Antihrombin',2,'%',25),(7,'PTRPP','PT (%)',5,'%',25),(8,'PTRPI','PT (INR)',15,'INR',25),(9,'INR','INR',5,'INR',25),(10,'FII','Factor II',5,'%',25),(11,'FIX','Factor IX',5,'%',25),(12,'FV','Factor V',5,'%',25);
/*!40000 ALTER TABLE `Tests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Users`
--

DROP TABLE IF EXISTS `Users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(10) NOT NULL,
  `password` varchar(10) NOT NULL,
  `name` varchar(10) NOT NULL,
  `surname` varchar(15) DEFAULT NULL,
  `email` varchar(15) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `Users_UQ_Email` (`email`),
  UNIQUE KEY `Users_UQ_Username` (`username`),
  KEY `Users_idx_ID` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Users table';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Users`
--

LOCK TABLES `Users` WRITE;
/*!40000 ALTER TABLE `Users` DISABLE KEYS */;
INSERT INTO `Users` VALUES (1,'user','123','name','surname','email@email.com');
/*!40000 ALTER TABLE `Users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `UsersConfiguredNotifications`
--

DROP TABLE IF EXISTS `UsersConfiguredNotifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UsersConfiguredNotifications` (
  `Users_id` int(11) NOT NULL,
  `Notifications_id` int(11) NOT NULL,
  `Analyzer_id` int(11) NOT NULL,
  PRIMARY KEY (`Users_id`,`Notifications_id`,`Analyzer_id`),
  KEY `Table_3_Notifications` (`Notifications_id`),
  KEY `UsersConfiguredNotifications_Analyzer` (`Analyzer_id`),
  CONSTRAINT `Table_3_Notifications` FOREIGN KEY (`Notifications_id`) REFERENCES `Notifications` (`id`),
  CONSTRAINT `Table_3_Users` FOREIGN KEY (`Users_id`) REFERENCES `Users` (`id`),
  CONSTRAINT `UsersConfiguredNotifications_Analyzer` FOREIGN KEY (`Analyzer_id`) REFERENCES `Analyzer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `UsersConfiguredNotifications`
--

LOCK TABLES `UsersConfiguredNotifications` WRITE;
/*!40000 ALTER TABLE `UsersConfiguredNotifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `UsersConfiguredNotifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Worklist`
--

DROP TABLE IF EXISTS `Worklist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Worklist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Analyzer_id` int(11) NOT NULL,
  `description` varchar(25) NOT NULL,
  `inittime` timestamp NULL DEFAULT NULL,
  `finishtime` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`,`Analyzer_id`),
  KEY `Worklist_Analyzer` (`Analyzer_id`),
  CONSTRAINT `Worklist_Analyzer` FOREIGN KEY (`Analyzer_id`) REFERENCES `Analyzer` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Worklist`
--

LOCK TABLES `Worklist` WRITE;
/*!40000 ALTER TABLE `Worklist` DISABLE KEYS */;
INSERT INTO `Worklist` VALUES (1,4,'Default Worklist','2016-05-19 23:58:43',NULL),(2,1,'Default Worklist','2016-05-19 23:58:43',NULL),(3,2,'Default Worklist','2016-05-19 23:58:43',NULL),(4,3,'Default Worklist','2016-05-19 23:58:43',NULL),(5,5,'Default Worklist','2016-05-20 05:00:28',NULL);
/*!40000 ALTER TABLE `Worklist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `WorklistAnalyzerTests`
--

DROP TABLE IF EXISTS `WorklistAnalyzerTests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `WorklistAnalyzerTests` (
  `Worklist_id` int(11) NOT NULL,
  `Worklist_Analyzer_id` int(11) NOT NULL,
  `Tests_id` int(11) NOT NULL,
  `inittime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `finishtime` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`Worklist_id`,`Worklist_Analyzer_id`,`Tests_id`),
  KEY `WorklistAnalyzerTests_Tests` (`Tests_id`),
  CONSTRAINT `Table_8_Worklist` FOREIGN KEY (`Worklist_id`, `Worklist_Analyzer_id`) REFERENCES `Worklist` (`id`, `Analyzer_id`),
  CONSTRAINT `WorklistAnalyzerTests_Tests` FOREIGN KEY (`Tests_id`) REFERENCES `Tests` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `WorklistAnalyzerTests`
--

LOCK TABLES `WorklistAnalyzerTests` WRITE;
/*!40000 ALTER TABLE `WorklistAnalyzerTests` DISABLE KEYS */;
INSERT INTO `WorklistAnalyzerTests` VALUES (1,4,1,'2016-05-20 16:10:48',NULL),(1,4,2,'2016-05-20 16:10:48',NULL),(1,4,3,'2016-05-20 16:10:48',NULL),(1,4,4,'2016-05-20 16:10:48',NULL),(1,4,5,'2016-05-20 16:10:48',NULL),(1,4,6,'2016-05-20 16:10:48',NULL),(1,4,7,'2016-05-20 16:10:48',NULL),(1,4,8,'2016-05-20 16:10:48',NULL),(1,4,9,'2016-05-20 16:10:48',NULL),(2,1,1,'2016-05-23 11:09:00',NULL),(2,1,2,'2016-05-23 11:09:00',NULL),(2,1,3,'2016-05-23 11:09:00',NULL),(2,1,4,'2016-05-23 11:09:00',NULL),(3,2,6,'2016-05-20 15:59:05',NULL),(3,2,7,'2016-05-20 15:59:05',NULL),(3,2,8,'2016-05-20 15:59:05',NULL),(3,2,9,'2016-05-20 15:59:05',NULL),(3,2,10,'2016-05-20 15:59:05',NULL),(3,2,11,'2016-05-20 15:59:05',NULL),(3,2,12,'2016-05-20 15:59:05',NULL),(4,3,6,'2016-05-20 15:59:32',NULL),(4,3,7,'2016-05-20 15:59:32',NULL),(4,3,8,'2016-05-20 15:59:32',NULL),(4,3,9,'2016-05-20 15:59:32',NULL),(4,3,10,'2016-05-20 15:59:32',NULL),(4,3,11,'2016-05-20 15:59:32',NULL),(4,3,12,'2016-05-20 15:59:32',NULL),(5,5,10,'2016-05-20 16:14:47',NULL),(5,5,11,'2016-05-20 16:14:47',NULL),(5,5,12,'2016-05-20 16:14:47',NULL);
/*!40000 ALTER TABLE `WorklistAnalyzerTests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'analyzer_simulator'
--
/*!50003 DROP PROCEDURE IF EXISTS `addTestsNotifications` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
CREATE DEFINER=`tfm_uoc`@`%` PROCEDURE `addTestsNotifications`()
BEGIN

  DECLARE testCODE VARCHAR(10);
  
  DECLARE testCursor CURSOR FOR SELECT code FROM Tests;

OPEN testCursor;

tests_loop: LOOP
	FETCH testCursor INTO testCODE;    
	INSERT INTO Notifications VALUES (default, CONCAT(testCODE, ' - F. Warning'), 'I');


END LOOP tests_loop;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `addTestsToAnalyzers` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
CREATE DEFINER=`tfm_uoc`@`%` PROCEDURE `addTestsToAnalyzers`()
BEGIN

  DECLARE analyzerID INT;
  DECLARE testID INT;
  DECLARE testCursor CURSOR FOR SELECT id FROM Tests ;
  DECLARE analyzerCursor CURSOR FOR SELECT id FROM Analyzer where id != 4 AND id != 1 and id != 2 and id != 3;

  OPEN analyzerCursor;
	

	analyzer_loop: LOOP
		
		FETCH analyzerCursor INTO analyzerID;

		OPEN testCursor;
		test_loop: LOOP
			FETCH testCursor INTO testID;
			INSERT INTO AnalyzerTests VALUES (analyzerID, testID, FLOOR(RAND(255)*(255-25)+25));

		END LOOP test_loop;

	END LOOP analyzer_loop;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `addWorklistTestAnalyzer` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
CREATE DEFINER=`tfm_uoc`@`%` PROCEDURE `addWorklistTestAnalyzer`()
BEGIN

  DECLARE testId INT;
  DECLARE analyzerWorklistTestsCursor CURSOR FOR SELECT Tests_id FROM AnalyzerTests WHERE Analyzer_id = 5 AND Tests_id > 9;

OPEN analyzerWorklistTestsCursor;

analyzers_loop: LOOP
	FETCH analyzerWorklistTestsCursor INTO testId;    
	INSERT INTO WorklistAnalyzerTests VALUES (5, 5, testId, now(), null);

END LOOP analyzers_loop;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `createDefaultWorklists` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
CREATE DEFINER=`tfm_uoc`@`%` PROCEDURE `createDefaultWorklists`()
BEGIN

  DECLARE analyzerID INT;
  
  DECLARE analyzerCursor CURSOR FOR SELECT id FROM Analyzer;

OPEN analyzerCursor;

analyzers_loop: LOOP
	FETCH analyzerCursor INTO analyzerID;    
	INSERT INTO Worklist VALUES (default, analyzerID, 'Default Worklist', now(), null);

END LOOP analyzers_loop;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2016-05-23 21:28:00
