CREATE DATABASE  IF NOT EXISTS `unifiedpush` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `unifiedpush`;
-- MySQL dump 10.13  Distrib 5.5.49, for debian-linux-gnu (x86_64)
--
-- Host: 127.0.0.1    Database: unifiedpush
-- ------------------------------------------------------
-- Server version	5.5.49-0ubuntu0.14.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `adm_variant`
--

DROP TABLE IF EXISTS `adm_variant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `adm_variant` (
  `id` varchar(255) NOT NULL,
  `client_id` varchar(255) NOT NULL,
  `client_secret` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `adm_variant`
--

LOCK TABLES `adm_variant` WRITE;
/*!40000 ALTER TABLE `adm_variant` DISABLE KEYS */;
/*!40000 ALTER TABLE `adm_variant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `android_variant`
--

DROP TABLE IF EXISTS `android_variant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `android_variant` (
  `google_key` varchar(255) NOT NULL,
  `project_number` varchar(255) DEFAULT NULL,
  `id` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_abna7p5c0p8ju2pf4ucqv5cby` FOREIGN KEY (`id`) REFERENCES `variant` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `android_variant`
--

LOCK TABLES `android_variant` WRITE;
/*!40000 ALTER TABLE `android_variant` DISABLE KEYS */;
INSERT INTO `android_variant` VALUES ('AIzaSyD8qWqo9ZK5QdL71dvnHpWO1WzTFp8nE5Y','42055947207','0a52d59b-200d-41b1-94a1-b70e06c97888'),('AIzaSyAbu6FvXYkPyL9A5qFWza42fQj6b8n0RAs','22675410902','74d56f06-966c-4928-a4d3-b06891447c57');
/*!40000 ALTER TABLE `android_variant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `category`
--

DROP TABLE IF EXISTS `category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `category` (
  `id` bigint(20) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `category`
--

LOCK TABLES `category` WRITE;
/*!40000 ALTER TABLE `category` DISABLE KEYS */;
INSERT INTO `category` VALUES (2,'A'),(3,'W'),(4,'C'),(5,'I');
/*!40000 ALTER TABLE `category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `category_seq`
--

DROP TABLE IF EXISTS `category_seq`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `category_seq` (
  `next_val` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `category_seq`
--

LOCK TABLES `category_seq` WRITE;
/*!40000 ALTER TABLE `category_seq` DISABLE KEYS */;
INSERT INTO `category_seq` VALUES (6);
/*!40000 ALTER TABLE `category_seq` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `installation`
--

DROP TABLE IF EXISTS `installation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `installation` (
  `id` varchar(255) NOT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `device_token` varchar(4096) DEFAULT NULL,
  `device_type` varchar(255) DEFAULT NULL,
  `enabled` bit(1) NOT NULL,
  `operating_system` varchar(255) DEFAULT NULL,
  `os_version` varchar(255) DEFAULT NULL,
  `platform` varchar(255) DEFAULT NULL,
  `variant_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_q1c2n4kjui158w3t1llg99koq` (`variant_id`),
  CONSTRAINT `fk_q1c2n4kjui158w3t1llg99koq` FOREIGN KEY (`variant_id`) REFERENCES `variant` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `installation`
--

LOCK TABLES `installation` WRITE;
/*!40000 ALTER TABLE `installation` DISABLE KEYS */;
INSERT INTO `installation` VALUES ('7b72a945-edea-4e64-97ad-304f50a31d04',NULL,'APA91bHVEOkxpRIQfNYLwp-aioIQLPjZ9wWhc1ZBjTQxjMXFPvHZc8rBNkHvglOMMxIq2V_yjLpk4KE668Gt3ub0QWjnvfrpx-yboBs_mq8ACl46e4LzdYf6Ec1C8gnmN9a1nVXcpg-4','ANDROID','','android','4.4.4','android','74d56f06-966c-4928-a4d3-b06891447c57'),('8030c0a0-c691-47ce-8002-4433b61a5ff0',NULL,'APA91bEkHsENjMIMvJDMNtVyAQevgafZwrxLdfB5vgGN5MJ9eBZKkuRmLPKi-UNo10-4eeVzvU7DAHWTPIQGubMAhsKrhq-R0yvvPpMM2epCE-VeLhPM_ErJK3Z6Rk4W4FH1lF-UeIee','ANDROID','','android','5.1','android','74d56f06-966c-4928-a4d3-b06891447c57'),('998a1732-a2f9-4f25-8d69-e719d87233af',NULL,'APA91bGarEK8Foh7KogCvl5uTPQqXhJMeA9x7LURM0F58MuwdKI1YOnwxLbMgLri0QB9Nfl1bLOB_UwhMxJcnKLgu6ZuUHiRZTqwI7wX9RoLHbVgR5nwRIz4MJC4C5WFDOhjcd61_hBV','ANDROID','','android','5.1','android','0a52d59b-200d-41b1-94a1-b70e06c97888'),('a3b193d2-3517-4ed6-a50c-3df462155f50',NULL,'APA91bHHdS_ajIqK3EUzLBN5IrnUrFs6YIcP9K1j0Z5qHsIHNrUwtUMcQuu-M-G2UgkGcsi_8eA82MUMPqvDGUqrsd7QBg46QG-gphGQKZEgHWNCk-kCnpy_xbV-4zgbHPxRSj4w_qMF','ANDROID','','android','5.1','android','74d56f06-966c-4928-a4d3-b06891447c57'),('b6259d61-ff28-40d4-8b35-41d82c515ca9',NULL,'APA91bFj9y6ehjCDbwpG2kVezNKYMh1rYy9H0BEG3Eub3lvged8kOaTCzQp8SEx7T49BoJkCQxyFLVt0NSvWMOhhLZJems75RApaqHe49G43bVSrpNmU0pFmk9fI8b14W0gInm7SLX2V','ANDROID','','android','5.1','android','74d56f06-966c-4928-a4d3-b06891447c57'),('cf299be7-d005-48a3-bf2c-b9f4396b0e80',NULL,'APA91bGMnXNNcuVl9htirmYMMxsl7MGKa6YOS_A5xZPxZsiwg1Ji8cDuAfrLn1Nn-L2CYdjlree4o4cSOmH75nSGgmJBXIzKGaaIlFCHitSemL0snFdeu_2NJbd6VZupDGoiJrbRFMja','ANDROID','','android','5.1','android','74d56f06-966c-4928-a4d3-b06891447c57'),('eff3e200-ba0d-41c8-94c7-f8d2b3f9a75a',NULL,'APA91bHsOVJA035b-ui7qV6Mtg8iYqaAnLE1bCT9OXlkP4Xj5JzIJ7jwGvxtPOsYVzIuaE4VWoGFwv1SiIMmBJkDIOlCCcB9YhH6io3rJDKmP_3LUpAqT7Seg6WuaKxNb0p1ydswceF3','ANDROID','','android','4.4.4','android','0a52d59b-200d-41b1-94a1-b70e06c97888');
/*!40000 ALTER TABLE `installation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `installation_category`
--

DROP TABLE IF EXISTS `installation_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `installation_category` (
  `installation_id` varchar(255) NOT NULL,
  `category_id` bigint(20) NOT NULL,
  PRIMARY KEY (`installation_id`,`category_id`),
  KEY `fk_ox56uwmry1x6kfoi3dkw1to8o` (`category_id`),
  CONSTRAINT `fk_dttushnsf13kdwywyba8njqv7` FOREIGN KEY (`installation_id`) REFERENCES `installation` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_ox56uwmry1x6kfoi3dkw1to8o` FOREIGN KEY (`category_id`) REFERENCES `category` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `installation_category`
--

LOCK TABLES `installation_category` WRITE;
/*!40000 ALTER TABLE `installation_category` DISABLE KEYS */;
INSERT INTO `installation_category` VALUES ('7b72a945-edea-4e64-97ad-304f50a31d04',2),('a3b193d2-3517-4ed6-a50c-3df462155f50',2),('b6259d61-ff28-40d4-8b35-41d82c515ca9',2),('cf299be7-d005-48a3-bf2c-b9f4396b0e80',2),('7b72a945-edea-4e64-97ad-304f50a31d04',3),('a3b193d2-3517-4ed6-a50c-3df462155f50',3),('b6259d61-ff28-40d4-8b35-41d82c515ca9',3),('cf299be7-d005-48a3-bf2c-b9f4396b0e80',3),('7b72a945-edea-4e64-97ad-304f50a31d04',4),('a3b193d2-3517-4ed6-a50c-3df462155f50',4),('b6259d61-ff28-40d4-8b35-41d82c515ca9',4),('cf299be7-d005-48a3-bf2c-b9f4396b0e80',4),('7b72a945-edea-4e64-97ad-304f50a31d04',5),('a3b193d2-3517-4ed6-a50c-3df462155f50',5),('b6259d61-ff28-40d4-8b35-41d82c515ca9',5),('cf299be7-d005-48a3-bf2c-b9f4396b0e80',5);
/*!40000 ALTER TABLE `installation_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ios_variant`
--

DROP TABLE IF EXISTS `ios_variant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ios_variant` (
  `passphrase` varchar(255) NOT NULL,
  `production` bit(1) NOT NULL DEFAULT b'0',
  `id` varchar(255) NOT NULL,
  `cert_data` longtext NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_a7ndfcxa9m4wt4m2x2mxajr56` FOREIGN KEY (`id`) REFERENCES `variant` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ios_variant`
--

LOCK TABLES `ios_variant` WRITE;
/*!40000 ALTER TABLE `ios_variant` DISABLE KEYS */;
/*!40000 ALTER TABLE `ios_variant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `push_application`
--

DROP TABLE IF EXISTS `push_application`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `push_application` (
  `id` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `developer` varchar(255) DEFAULT NULL,
  `master_secret` varchar(255) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `api_key` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `push_application`
--

LOCK TABLES `push_application` WRITE;
/*!40000 ALTER TABLE `push_application` DISABLE KEYS */;
INSERT INTO `push_application` VALUES ('70c87429-8c3f-4341-9b48-759d815949da',NULL,'admin','d8af0203-cb73-437f-9ec8-f0c7d56b47b8','PushTest','83c7e059-333b-47b0-a355-3b615f79776b'),('75d7451b-9072-4007-baf1-57716c2a6ee2',NULL,'admin','708f4226-678a-4853-9834-ea95b8abc631','Analyzer Handler','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6');
/*!40000 ALTER TABLE `push_application` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `push_message_info`
--

DROP TABLE IF EXISTS `push_message_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `push_message_info` (
  `id` varchar(255) NOT NULL,
  `client_identifier` varchar(255) DEFAULT NULL,
  `ip_address` varchar(255) DEFAULT NULL,
  `push_application_id` varchar(255) NOT NULL,
  `raw_json_message` varchar(4500) DEFAULT NULL,
  `submit_date` datetime DEFAULT NULL,
  `total_receivers` bigint(20) NOT NULL,
  `app_open_counter` bigint(20) NOT NULL,
  `first_open_date` datetime DEFAULT NULL,
  `last_open_date` datetime DEFAULT NULL,
  `served_variants` int(11) NOT NULL,
  `total_variants` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `app_open_counter_idx` (`app_open_counter`),
  KEY `push_application_id_index` (`push_application_id`),
  KEY `submit_date_idx` (`submit_date`),
  KEY `total_receivers_idx` (`total_receivers`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `push_message_info`
--

LOCK TABLES `push_message_info` WRITE;
/*!40000 ALTER TABLE `push_message_info` DISABLE KEYS */;
INSERT INTO `push_message_info` VALUES ('09f4af80-7189-4e16-9f11-7ce8d52b2d77','AeroGear Java Sender','192.168.56.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"VIP500#Worklist finished\",\"badge\":\"1\",\"criteria\":{\"categories\":[null],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-24 12:57:12',0,0,NULL,NULL,1,1),('1b162599-162a-42d8-a9d8-e32e90d5c454','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM400#HW - Hardware Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"W\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-14 04:28:25',3,0,NULL,NULL,1,1),('1c334714-feeb-4d57-af08-2a06812fa761','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM100   Connected  \",\"badge\":\"1\",\"criteria\":{\"categories\":[\"C\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-08 18:29:01',1,0,NULL,NULL,1,1),('211807d5-da1a-42be-af05-a42f97f3f743','AeroGear Java Sender','192.168.56.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"VIP500#Worklist finished\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"I\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-24 12:58:54',4,0,NULL,NULL,1,1),('2157f41d-810a-4b94-bfcd-cf72705880a1','AeroGear Java Sender','192.168.56.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"CO400#APPTR - F. Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"I\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-25 03:18:15',4,0,NULL,NULL,1,1),('250ede27-031b-407b-879d-5e8e0d414bd8','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"HE - Hardware Error\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"A\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-08 18:28:06',1,0,NULL,NULL,1,1),('2bf334ae-d83d-410d-b96c-08283d7b25f1','AeroGear Java Sender','192.168.56.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"VIP500#Hardware Error\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"A\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-24 12:56:19',4,0,NULL,NULL,1,1),('2cf22ab2-86d9-4da4-abb8-fd8b50a9bd83','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM100 Disconnected\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"C\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-08 18:14:14',1,0,NULL,NULL,1,1),('36f7933c-a2be-4d29-b360-1a9b9e67a49c','AeroGear UnifiedPush Console','127.0.0.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"This is the first message\",\"criteria\":{\"categories\":null,\"variants\":[\"8015354d-722b-4e0c-8b0d-c3b579f73700\"],\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":-1}}','2016-04-30 20:57:35',1,0,NULL,NULL,1,1),('3bcbbc3f-fb23-4d28-9d1e-08bfea8ab29c','AeroGear Java Sender','192.168.56.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"CO400#Hardware Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"W\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-25 03:17:16',4,0,NULL,NULL,1,1),('40262f82-2f22-4758-bf04-432e4fb4b12b','AeroGear Java Sender','192.168.0.158','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM300#APPTR - F. Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"I\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-13 21:22:57',2,0,NULL,NULL,1,1),('45151fd8-fb64-45c5-9b67-baea0721710e','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM100#HE - Hardware Error\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"A\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-14 12:10:14',4,0,NULL,NULL,1,1),('51c65510-6660-4baf-8801-85afeb9441c7','AeroGear Java Sender','127.0.0.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM100   Connected  \",\"badge\":\"1\",\"criteria\":{\"categories\":[\"C\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-10 12:37:50',2,0,NULL,NULL,1,1),('5ea79cf1-0c8c-47ba-9d0e-826512bd786e','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM100 Disconnected\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"C\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-10 12:25:51',3,0,NULL,NULL,1,1),('7117a678-dc5c-4c26-b899-de45b7010517','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM400#APPTR - F. Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"I\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-14 06:06:04',4,0,NULL,NULL,1,1),('887b2403-5a8e-4824-9d85-294c570804b8','AeroGear Java Sender','192.168.56.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"RT100#Hardware Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"W\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-25 03:19:52',4,0,NULL,NULL,1,1),('95628dd0-43c6-4bbc-a006-0d61385ea2ec','AeroGear UnifiedPush Console','127.0.0.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"Test 2\",\"criteria\":{\"categories\":null,\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":-1}}','2016-04-30 21:03:18',1,0,NULL,NULL,1,1),('9a6e8655-8be2-421c-9d0d-d0f0e964d4ad','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"HW - Hardware Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"W\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-08 18:28:12',1,0,NULL,NULL,1,1),('a32a6311-f14c-470a-9aa3-a95f5618b2b5','AeroGear Java Sender','192.168.45.210','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM100#HW - Hardware Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"W\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-13 11:31:28',2,0,NULL,NULL,1,1),('a3cc42cb-1106-478b-a23b-c856c3e7e721','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM100   Connected  \",\"badge\":\"1\",\"criteria\":{\"categories\":[\"C\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-08 16:42:16',0,0,NULL,NULL,1,1),('aecb6f57-eb05-45df-907c-b7fbb403214f','AeroGear Java Sender','192.168.45.210','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"APPTR - F. Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"I\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-13 09:03:28',2,0,NULL,NULL,1,1),('af2bb109-dff0-43a9-a559-beae4a04bbc8','AeroGear Java Sender','192.168.45.210','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM100 - APPTR - F. Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"I\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-13 11:29:06',2,0,NULL,NULL,1,1),('af68515e-ee97-427b-b177-3771e32ce550','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"HW - Hardware Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"W\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-08 18:28:51',1,0,NULL,NULL,1,1),('b29ec688-1d38-439e-bd9d-03c589bf53cd','AeroGear Java Sender','192.168.56.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"RT100#Worklist finished\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"I\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-24 17:43:07',4,0,NULL,NULL,1,1),('b2fc5ffe-37ef-4408-9ae1-9d1745be1c6d','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM100#HW - Hardware Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"W\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-14 04:10:39',3,0,NULL,NULL,1,1),('b54a5500-0eb4-4b14-90c1-effa48435911','AeroGear Java Sender','192.168.56.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"VIP500#Worklist finished\",\"badge\":\"1\",\"criteria\":{\"categories\":[null],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-24 12:55:41',0,0,NULL,NULL,1,1),('bb028e43-7615-422e-92ae-7b3e28c66387','AeroGear Java Sender','192.168.56.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"null#CO400   Connected  \",\"badge\":\"1\",\"criteria\":{\"categories\":[\"C\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-25 03:16:12',4,0,NULL,NULL,1,1),('beecb805-0de1-4a68-8bd9-21d8417abba0','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"APPTR - F. Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"I\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-08 16:43:38',1,0,NULL,NULL,1,1),('c13b2ca3-8438-4c9b-8694-d855d0fa78ae','AeroGear Java Sender','192.168.56.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"null#CO400 Disconnected\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"C\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-25 03:14:20',4,0,NULL,NULL,1,1),('c13f52c1-0332-4083-9ccf-cee2d4749320','AeroGear UnifiedPush Console','127.0.0.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"Test\",\"criteria\":{\"categories\":[\"I\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":-1}}','2016-05-08 16:19:15',1,0,NULL,NULL,1,1),('d0d67a9b-18b5-401a-91f9-c9a9f63d3dee','AeroGear Java Sender','127.0.0.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"SA200#Hardware Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"W\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-20 20:52:24',4,0,NULL,NULL,1,1),('e0ecab50-e455-4c40-8f4b-e5324f824201','AeroGear Java Sender','192.168.45.210','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"HE - Hardware Error\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"A\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-13 11:23:18',2,0,NULL,NULL,1,1),('e2723040-6e65-44f9-8947-297e5845154d','AeroGear Java Sender','192.168.56.1','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"CO400#APPTR - F. Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"I\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-25 03:16:15',4,0,NULL,NULL,1,1),('e5d7e597-1852-4317-896f-118f998f6f99','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM400#HE - Hardware Error\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"A\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-14 04:27:01',3,0,NULL,NULL,1,1),('eb3ffd60-df09-4e1e-afe0-b3727ab82928','AeroGear Java Sender','192.168.45.210','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"APPTR - F. Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"I\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-13 11:25:02',2,0,NULL,NULL,1,1),('eed28744-dda7-459a-968d-f825241f37ee','AeroGear Java Sender','192.168.45.210','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM100#HE - Hardware Error\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"A\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-13 11:34:20',2,0,NULL,NULL,1,1),('f81c2c83-0ec4-4e4e-aefb-f80b45caca0b','AeroGear Java Sender','192.168.0.155','8b7ed8ec-c7c8-4ae8-a804-dd7af81bc9c6','{\"alert\":\"BDM100#HW - Hardware Warning\",\"badge\":\"1\",\"criteria\":{\"categories\":[\"W\"],\"variants\":null,\"alias\":null,\"deviceType\":null},\"config\":{\"ttl\":3600}}','2016-05-14 12:12:33',4,0,NULL,NULL,1,1);
/*!40000 ALTER TABLE `push_message_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `simple_push_variant`
--

DROP TABLE IF EXISTS `simple_push_variant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simple_push_variant` (
  `id` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_hombuwogx5wv7hnup407gnwpg` FOREIGN KEY (`id`) REFERENCES `variant` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simple_push_variant`
--

LOCK TABLES `simple_push_variant` WRITE;
/*!40000 ALTER TABLE `simple_push_variant` DISABLE KEYS */;
/*!40000 ALTER TABLE `simple_push_variant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ups_db_changelog`
--

DROP TABLE IF EXISTS `ups_db_changelog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ups_db_changelog` (
  `ID` varchar(255) NOT NULL,
  `AUTHOR` varchar(255) NOT NULL,
  `FILENAME` varchar(255) NOT NULL,
  `DATEEXECUTED` datetime NOT NULL,
  `ORDEREXECUTED` int(11) NOT NULL,
  `EXECTYPE` varchar(10) NOT NULL,
  `MD5SUM` varchar(35) DEFAULT NULL,
  `DESCRIPTION` varchar(255) DEFAULT NULL,
  `COMMENTS` varchar(255) DEFAULT NULL,
  `TAG` varchar(255) DEFAULT NULL,
  `LIQUIBASE` varchar(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ups_db_changelog`
--

LOCK TABLES `ups_db_changelog` WRITE;
/*!40000 ALTER TABLE `ups_db_changelog` DISABLE KEYS */;
INSERT INTO `ups_db_changelog` VALUES ('001','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:57',1,'EXECUTED','7:b3b31377111c4f75183fc6b33baf3920','createTable','',NULL,'3.3.2'),('002','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:57',2,'EXECUTED','7:31ca319ca506f012da4d4980546acb82','createTable','',NULL,'3.3.2'),('003','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:57',3,'EXECUTED','7:f6369a5005b02d53a51946f151d0fbcc','createTable','',NULL,'3.3.2'),('004','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:57',4,'EXECUTED','7:f1e1c9fdca72888c8709083f66058859','createTable','',NULL,'3.3.2'),('005','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:57',5,'EXECUTED','7:1a325ecd0309a771c2012a207fd0ab91','createTable','',NULL,'3.3.2'),('006','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:57',6,'EXECUTED','7:5ac6c43f544eba7767035ceaef9b09f1','createTable','',NULL,'3.3.2'),('007','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:57',7,'EXECUTED','7:ab0c728f0f76ddda89af7df73a15c256','createTable','',NULL,'3.3.2'),('008','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:57',8,'EXECUTED','7:b9534246ec394329bb946e8123ee8e04','createTable','',NULL,'3.3.2'),('009','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:57',9,'EXECUTED','7:277ea9ee491ae78f139b3f9bfdd7c6e2','createTable','',NULL,'3.3.2'),('010','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:57',10,'EXECUTED','7:f0040e39033d1f0118bf80433860e2b5','createTable','',NULL,'3.3.2'),('011','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:57',11,'EXECUTED','7:0b63e37f0baf4efb143c69f73e525572','addPrimaryKey','',NULL,'3.3.2'),('012','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',12,'EXECUTED','7:f7b96fb8307f43d91fc3cc24e9118507','addPrimaryKey','',NULL,'3.3.2'),('013','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',13,'EXECUTED','7:b39a35a79890f5f0e98581ecad46b0cc','addPrimaryKey','',NULL,'3.3.2'),('014','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',14,'EXECUTED','7:dd8dd1ebf87408614148c4ba2f663892','addPrimaryKey','',NULL,'3.3.2'),('015','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',15,'EXECUTED','7:a5870cbe030709f435fac0382c7d3b12','addPrimaryKey','',NULL,'3.3.2'),('016','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',16,'EXECUTED','7:12336905d0332ac4243aa39dcb7c065d','addPrimaryKey','',NULL,'3.3.2'),('017','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',17,'EXECUTED','7:e7ef39e6ce31bcf99e934856e62557c9','addPrimaryKey','',NULL,'3.3.2'),('018','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',18,'EXECUTED','7:c4538c22e8d217d5101349b917066c2b','addPrimaryKey','',NULL,'3.3.2'),('019','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',19,'EXECUTED','7:a83a81883eb45679e723a650be1415aa','addPrimaryKey','',NULL,'3.3.2'),('020','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',20,'EXECUTED','7:73c06338b3c153506a278c7362381e03','addUniqueConstraint','',NULL,'3.3.2'),('021','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',21,'EXECUTED','7:1affb3f5221eb3cb033d5fba9e680f7d','addForeignKeyConstraint','',NULL,'3.3.2'),('022','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',22,'EXECUTED','7:3df0a98a6c38b4cca580b87916fc51d4','addForeignKeyConstraint','',NULL,'3.3.2'),('023','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',23,'EXECUTED','7:f9c143cd2094ffcf6d2e6bf0a6ac215f','addForeignKeyConstraint','',NULL,'3.3.2'),('024','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',24,'EXECUTED','7:7ae18721f4679274cf6b3b6abd2c4ff6','addForeignKeyConstraint','',NULL,'3.3.2'),('025','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:58',25,'EXECUTED','7:4ba131d0aefd63fbf6c5b58eb23f9af8','addForeignKeyConstraint','',NULL,'3.3.2'),('026','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:59',26,'EXECUTED','7:19d099324fc27b6a2d493629af55a71e','addForeignKeyConstraint','',NULL,'3.3.2'),('027','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:59',27,'EXECUTED','7:1950a9937f097a1e5b2dc92d1107d496','addForeignKeyConstraint','',NULL,'3.3.2'),('028','generated','liquibase/1.0.0.Final/initial-mysql.xml','2016-03-18 06:44:59',28,'EXECUTED','7:b6012a72576fb045830f07544b16b406','addForeignKeyConstraint','',NULL,'3.3.2'),('001','generated','liquibase/1.0.2/2014-12-17-keycloak-fixes.xml','2016-03-18 06:44:59',29,'MARK_RAN','7:9745afa3151bdd7c13212990642e4966','renameTable','',NULL,'3.3.2'),('002','generated','liquibase/1.0.2/2014-12-17-keycloak-fixes.xml','2016-03-18 06:44:59',30,'MARK_RAN','7:1af142bc49b25c88dfd58b469fe1bf18','renameColumn','',NULL,'3.3.2'),('003','generated','liquibase/1.0.2/2014-12-17-keycloak-fixes.xml','2016-03-18 06:44:59',31,'MARK_RAN','7:25fcfa730e75d1391cbcae6e594503fe','renameColumn','',NULL,'3.3.2'),('001','qmx','liquibase/1.0.3/2015-02-27-normalize_installations_table.xml','2016-03-18 06:44:59',32,'EXECUTED','7:fa1119d30ef9dce56874c3e5d2294883','renameTable','',NULL,'3.3.2'),('002m','qmx','liquibase/1.0.3/2015-02-27-normalize_installations_table.xml','2016-03-18 06:44:59',33,'EXECUTED','7:45729cc950d68e79849f4c2b6f23c6ac','dropForeignKeyConstraint','',NULL,'3.3.2'),('003m','qmx','liquibase/1.0.3/2015-02-27-normalize_installations_table.xml','2016-03-18 06:44:59',34,'EXECUTED','7:ce4d078ec2690e03b23825f0dc8ba34b','addForeignKeyConstraint','',NULL,'3.3.2'),('001','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',35,'EXECUTED','7:bc007ca8397c01c3b2c27d782b6657be','createTable','',NULL,'3.3.2'),('002','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',36,'MARK_RAN','7:261c3a96f8decb48d7d158cc14364199','renameTable','',NULL,'3.3.2'),('002m','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',37,'MARK_RAN','7:0feca3ffa67be82dadfa410cc1f92414','renameTable','',NULL,'3.3.2'),('003m','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',38,'EXECUTED','7:f816d92aff6dcaf802fbe32c0c33cee9','createTable, insert','',NULL,'3.3.2'),('004','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',39,'EXECUTED','7:fba59a75e13e2d554c854e461468ccb3','customChange','',NULL,'3.3.2'),('004m1','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',40,'MARK_RAN','7:0fc5eff1717401fc2c307574f4e0717a','dropForeignKeyConstraint','',NULL,'3.3.2'),('004m2','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',41,'MARK_RAN','7:177e2e3678260f7d6ed7990c78974701','dropForeignKeyConstraint','',NULL,'3.3.2'),('004m3','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',42,'MARK_RAN','7:a666208783a566e31a2b4650321631ed','renameTable','',NULL,'3.3.2'),('004m4','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',43,'MARK_RAN','7:df9f4d2d8eebc243b037a772447aa419','renameColumn','',NULL,'3.3.2'),('004a','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',44,'MARK_RAN','7:198dcb6d67e4e95ad4858a61dabd31dd','renameColumn','',NULL,'3.3.2'),('005','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',45,'EXECUTED','7:094e6b5e7676e4384d5bb8ac275d08b3','createTable, addPrimaryKey','',NULL,'3.3.2'),('006m','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',46,'EXECUTED','7:c76fddd850744513120d0fe3b588d583','addForeignKeyConstraint','',NULL,'3.3.2'),('007m','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',47,'EXECUTED','7:bc7b212f84e3035be472093fdff391b0','addForeignKeyConstraint','',NULL,'3.3.2'),('008','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',48,'EXECUTED','7:6984bf6f963a2f6a97ca881172343343','sql','',NULL,'3.3.2'),('009m','generated','liquibase/1.0.3/2014-10-16-add-category-entity.xml','2016-03-18 06:44:59',49,'EXECUTED','7:c97718ee20f1a3ab81218d970cabcf7c','dropTable','',NULL,'3.3.2'),('001m','qmx','liquibase/1.0.3/2015-01-22-change-blob-into-a-base64-string.xml','2016-03-18 06:44:59',50,'EXECUTED','7:c52d806c918bd0ba419973ba2e0f06df','renameTable','',NULL,'3.3.2'),('002','qmx','liquibase/1.0.3/2015-01-22-change-blob-into-a-base64-string.xml','2016-03-18 06:44:59',51,'EXECUTED','7:4cb7cd67f0c12ce39fbbd1455a42471f','addColumn','',NULL,'3.3.2'),('003','qmx','liquibase/1.0.3/2015-01-22-change-blob-into-a-base64-string.xml','2016-03-18 06:45:00',52,'EXECUTED','7:cb038839942f7c922ebf0e271e604e61','customChange, addNotNullConstraint','',NULL,'3.3.2'),('004','qmx','liquibase/1.0.3/2015-01-22-change-blob-into-a-base64-string.xml','2016-03-18 06:45:00',53,'EXECUTED','7:176902f1158ec92cdeae10c7285b1e32','dropColumn','',NULL,'3.3.2'),('005','qmx','liquibase/1.0.3/2015-01-22-change-blob-into-a-base64-string.xml','2016-03-18 06:45:00',54,'EXECUTED','7:f7f00d846a86684ac83ad7e690587929','addDefaultValue','',NULL,'3.3.2'),('02','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',55,'EXECUTED','7:99edc2df339a0ae61c3ffdad436db43d','dropForeignKeyConstraint','',NULL,'3.3.2'),('05','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',56,'EXECUTED','7:bc97f12ce236f17e2ebe291eda6216cd','dropForeignKeyConstraint','',NULL,'3.3.2'),('07','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',57,'EXECUTED','7:9ffa40750580f9a15d9ae2d9ad230488','dropForeignKeyConstraint','',NULL,'3.3.2'),('08','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',58,'MARK_RAN','7:7dcc412a2bc4a3d9bdd3398ee4b6feb3','dropForeignKeyConstraint','',NULL,'3.3.2'),('09','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',59,'MARK_RAN','7:f6e3265affe70815b0c48d7a5cbcaf9c','dropForeignKeyConstraint','',NULL,'3.3.2'),('10','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',60,'MARK_RAN','7:5acdf36d70175d3e7d4c0e7ed0d7b245','dropForeignKeyConstraint','',NULL,'3.3.2'),('11','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',61,'MARK_RAN','7:9b010ca13564470652f5f1cc1128533c','dropForeignKeyConstraint','',NULL,'3.3.2'),('12','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',62,'EXECUTED','7:937ef948b3826e85169823f1e9c10890','dropForeignKeyConstraint','',NULL,'3.3.2'),('14','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',63,'EXECUTED','7:e445dc826c23cf90f8f382d14d6f003b','dropForeignKeyConstraint','',NULL,'3.3.2'),('16','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',64,'EXECUTED','7:8aa2d3679d37c04a0f22f2432d656b38','dropForeignKeyConstraint','',NULL,'3.3.2'),('18','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',65,'EXECUTED','7:dada1f3aac7ca3b282a601bd81b6c530','dropForeignKeyConstraint','',NULL,'3.3.2'),('20','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',66,'EXECUTED','7:c6c444c37a7f0d48617abe6cffc1fbb2','dropForeignKeyConstraint','',NULL,'3.3.2'),('1436899291492-6','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',67,'EXECUTED','7:52709ca0f8f9622b53794eb75003dd5f','dropForeignKeyConstraint','',NULL,'3.3.2'),('1436899291492-7','qmx','liquibase/1.1.0-Final/2015-07-10-disable-constraints.xml','2016-03-18 06:45:00',68,'MARK_RAN','7:31554806133320db043975b90f03c8a0','dropUniqueConstraint','',NULL,'3.3.2'),('01','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-variants.xml','2016-03-18 06:45:00',69,'EXECUTED','7:3bc06d55deb441c1eb51752a2569d8e1','renameTable','',NULL,'3.3.2'),('02','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-variants.xml','2016-03-18 06:45:00',70,'EXECUTED','7:a3139bb8002e520c65f120d0cf8970a4','renameColumn','',NULL,'3.3.2'),('03','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-variants.xml','2016-03-18 06:45:00',71,'EXECUTED','7:ca2bba58f9ac7b405e381fc439370f80','renameColumn','',NULL,'3.3.2'),('05','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-variants.xml','2016-03-18 06:45:00',72,'EXECUTED','7:82d9c08206cf1950b51da53b15478b97','renameTable','',NULL,'3.3.2'),('07','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-variants.xml','2016-03-18 06:45:00',73,'EXECUTED','7:54382aa1b2001ee54867320cc528474d','renameTable','',NULL,'3.3.2'),('09','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-variants.xml','2016-03-18 06:45:00',74,'EXECUTED','7:41e457ea93fe0a98454b523b80a1251c','renameColumn','',NULL,'3.3.2'),('11','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-variants.xml','2016-03-18 06:45:01',75,'EXECUTED','7:3172a03cdbe266f8849ccc8a65071326','renameColumn','',NULL,'3.3.2'),('13','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-variants.xml','2016-03-18 06:45:01',76,'EXECUTED','7:c86cb451ce931d234615640c096ff7b9','addNotNullConstraint','',NULL,'3.3.2'),('1','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-application.xml','2016-03-18 06:45:01',77,'EXECUTED','7:281bb1bfc0d2e199dd7b3da25751f2a3','renameTable','',NULL,'3.3.2'),('3','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-application.xml','2016-03-18 06:45:01',78,'EXECUTED','7:239239923569ca8cd76d24681796b6e5','renameColumn','',NULL,'3.3.2'),('5','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-application.xml','2016-03-18 06:45:01',79,'EXECUTED','7:379e62290ebd4e94622b9c915640bcfb','renameColumn','',NULL,'3.3.2'),('01','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-installation.xml','2016-03-18 06:45:01',80,'EXECUTED','7:6ab8a3d3c4b79ac397e9d24b281a2ea3','renameColumn','',NULL,'3.3.2'),('03','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-installation.xml','2016-03-18 06:45:01',81,'EXECUTED','7:ddf3be327761e9b659823b5e9ce34ca8','renameColumn','',NULL,'3.3.2'),('05','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-installation.xml','2016-03-18 06:45:01',82,'EXECUTED','7:86218f9aff924483f2caddcddf27087a','renameColumn','',NULL,'3.3.2'),('07','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-installation.xml','2016-03-18 06:45:01',83,'EXECUTED','7:aa0f2d8cd03b56b15100b94f6184bccc','renameColumn','',NULL,'3.3.2'),('09','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-installation.xml','2016-03-18 06:45:01',84,'EXECUTED','7:6635a06eabc8d61d43682789127ef169','renameColumn','',NULL,'3.3.2'),('01','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:01',85,'EXECUTED','7:5e70be453a7917d1b55fd968fd01c3b6','renameTable','',NULL,'3.3.2'),('03','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:01',86,'EXECUTED','7:229632c16d1ecf4b0a2b9c2b75e3601f','renameColumn','',NULL,'3.3.2'),('05','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:01',87,'EXECUTED','7:f8eb9abf301a5b5b597800acadcaa174','renameColumn','',NULL,'3.3.2'),('07','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:01',88,'EXECUTED','7:46a07f56fc3f544a7718a0e4bd5b6033','renameColumn','',NULL,'3.3.2'),('09','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:01',89,'EXECUTED','7:85efbc1a2ceb792b775b207159b48f40','renameColumn','',NULL,'3.3.2'),('11','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:01',90,'EXECUTED','7:4acfc7a7be69ed763d87697ad7f30c7b','renameColumn','',NULL,'3.3.2'),('13','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:01',91,'EXECUTED','7:cd8a1ea140299f084f6c73f5f64ebd1b','renameColumn','',NULL,'3.3.2'),('15','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:01',92,'EXECUTED','7:4d306136f16b5ab6627ce046491b9002','addColumn','',NULL,'3.3.2'),('16','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:02',93,'EXECUTED','7:5b3b9dec3338e2a305766f6297b16117','addColumn','',NULL,'3.3.2'),('17','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:02',94,'EXECUTED','7:580209ed1139f71cf6326b006aac645a','addColumn','',NULL,'3.3.2'),('18','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:02',95,'EXECUTED','7:7327af6bb4a9a0ce5b0a47ded922342e','addColumn','',NULL,'3.3.2'),('19','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:02',96,'EXECUTED','7:e8c4e95b6ef2aa59169fa38ec7648088','addColumn','',NULL,'3.3.2'),('20','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:02',97,'EXECUTED','7:8d9cd192c74ef2b6e561e3962a9b92d1','createIndex','',NULL,'3.3.2'),('21','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:02',98,'EXECUTED','7:80b89cff1210b6797de55b41ec2a39d4','createIndex','',NULL,'3.3.2'),('22','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:02',99,'EXECUTED','7:e8e1bf015993e365755e93f75e6429ed','createIndex','',NULL,'3.3.2'),('23','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:02',100,'EXECUTED','7:0c477c9d4b7ed2503d16b9667ca83f38','createIndex','',NULL,'3.3.2'),('24','qmx','liquibase/1.1.0-Final/2015-07-08-normalize-push-message-information.xml','2016-03-18 06:45:02',101,'EXECUTED','7:d000ad2e64d88c95e85b11706c4340d4','addNotNullConstraint','',NULL,'3.3.2'),('01','qmx','liquibase/1.1.0-Final/2015-07-09-normalize-variant-metric-information.xml','2016-03-18 06:45:02',102,'EXECUTED','7:6aa2a27c9bd22802d3749d56a6383467','renameTable','',NULL,'3.3.2'),('03','qmx','liquibase/1.1.0-Final/2015-07-09-normalize-variant-metric-information.xml','2016-03-18 06:45:02',103,'EXECUTED','7:9868dc235ee8dc088da6d5a7980f492f','renameColumn','',NULL,'3.3.2'),('05','qmx','liquibase/1.1.0-Final/2015-07-09-normalize-variant-metric-information.xml','2016-03-18 06:45:02',104,'EXECUTED','7:c1c531fc7e5204bf2a39d7a76496b45c','renameColumn','',NULL,'3.3.2'),('07','qmx','liquibase/1.1.0-Final/2015-07-09-normalize-variant-metric-information.xml','2016-03-18 06:45:02',105,'EXECUTED','7:b28dce74538dad197b58307facdc2aea','renameColumn','',NULL,'3.3.2'),('09','qmx','liquibase/1.1.0-Final/2015-07-09-normalize-variant-metric-information.xml','2016-03-18 06:45:02',106,'EXECUTED','7:caee73d78702fd162321e0b460f7c386','addColumn','',NULL,'3.3.2'),('10','qmx','liquibase/1.1.0-Final/2015-07-09-normalize-variant-metric-information.xml','2016-03-18 06:45:02',107,'EXECUTED','7:08ddf072facb86ca46468c3975a30604','addColumn','',NULL,'3.3.2'),('11','qmx','liquibase/1.1.0-Final/2015-07-09-normalize-variant-metric-information.xml','2016-03-18 06:45:02',108,'EXECUTED','7:5756fda2b12e14205ecef65997843813','addColumn','',NULL,'3.3.2'),('12','qmx','liquibase/1.1.0-Final/2015-07-09-normalize-variant-metric-information.xml','2016-03-18 06:45:02',109,'EXECUTED','7:366dec33adf3506914476f99884b11dd','createIndex','',NULL,'3.3.2'),('13','qmx','liquibase/1.1.0-Final/2015-07-09-normalize-variant-metric-information.xml','2016-03-18 06:45:02',110,'EXECUTED','7:462ba2d652e908a88dafe23c983340e7','addNotNullConstraint','',NULL,'3.3.2'),('14','qmx','liquibase/1.1.0-Final/2015-07-09-normalize-variant-metric-information.xml','2016-03-18 06:45:02',111,'EXECUTED','7:b8eb703e9c6f62dfe48bc2df92090656','dropNotNullConstraint','',NULL,'3.3.2'),('1','qmx','liquibase/1.1.0-Final/2015-07-08-add-adm-variant-entity.xml','2016-03-18 06:45:03',112,'EXECUTED','7:ca933e97d437fc0802859838157db50a','createTable','',NULL,'3.3.2'),('2','qmx','liquibase/1.1.0-Final/2015-07-08-add-adm-variant-entity.xml','2016-03-18 06:45:03',113,'EXECUTED','7:cfea3742f8f85170daca501c2f0761f3','addPrimaryKey','',NULL,'3.3.2'),('1','qmx','liquibase/1.1.0-Final/2015-07-08-add-windows-variant-entities.xml','2016-03-18 06:45:03',114,'EXECUTED','7:b9475cdb03f15df5f5e502f4591b26c7','createTable, addPrimaryKey','',NULL,'3.3.2'),('2','qmx','liquibase/1.1.0-Final/2015-07-08-add-windows-variant-entities.xml','2016-03-18 06:45:03',115,'EXECUTED','7:d59b0dd54785c0203724051edf275fe4','createTable, addPrimaryKey','',NULL,'3.3.2'),('1','qmx','liquibase/1.1.0-Final/2015-07-09-drop-chromepackagedapp-variant.xml','2016-03-18 06:45:03',116,'EXECUTED','7:205dffc502ef3db7d116dee1af7d0b8c','dropTable','',NULL,'3.3.2'),('1436957323846-1','qmx','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',117,'EXECUTED','7:8e8bce6c39a0c284f28ee9a9d9edde75','addForeignKeyConstraint','',NULL,'3.3.2'),('1436957323846-2','qmx','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',118,'EXECUTED','7:0a944451eb8544e01395aefae0f0bc46','addForeignKeyConstraint','',NULL,'3.3.2'),('1436957323846-3','qmx','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',119,'EXECUTED','7:122a9d4fe0a82f1b444376d9151152b2','addForeignKeyConstraint','',NULL,'3.3.2'),('1436957323846-4','qmx','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',120,'EXECUTED','7:3adcc0b54998088adbb81737be681f6b','addForeignKeyConstraint','',NULL,'3.3.2'),('1436957323846-5','qmx','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',121,'EXECUTED','7:948d8ec281fed3ae5a1d3168b7a974ff','addForeignKeyConstraint','',NULL,'3.3.2'),('1436957323846-6','qmx','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',122,'EXECUTED','7:e9fde0b4e60784833d7dddbcb7dc0b42','addForeignKeyConstraint','',NULL,'3.3.2'),('1436957323846-7','qmx','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',123,'EXECUTED','7:5e931981136ba30c8c832cfcd57f9fe0','addForeignKeyConstraint','',NULL,'3.3.2'),('1436957323846-8','qmx','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',124,'EXECUTED','7:a437f880957c294a50a5ed0d258afa35','addForeignKeyConstraint','',NULL,'3.3.2'),('1436957323846-9','qmx','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',125,'EXECUTED','7:37af34cc9b93e6d74935eda39e892321','addForeignKeyConstraint','',NULL,'3.3.2'),('1436957323846-10','qmx','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',126,'EXECUTED','7:d8dbfeca21c36310a933368289553562','customChange','',NULL,'3.3.2'),('1436957323846-11','qmx','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',127,'EXECUTED','7:076b6a0beb408464125cde4bad1978ae','addForeignKeyConstraint','',NULL,'3.3.2'),('1436957323846-12','danbev','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',128,'EXECUTED','7:a5f929dcc18ad5a4ba27cb1ac941b202','addNotNullConstraint','',NULL,'3.3.2'),('1436957323846-13','danbev','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',129,'EXECUTED','7:4ccc875c3e7ce653550bb340a52d7c79','addNotNullConstraint','',NULL,'3.3.2'),('1436957323846-14','danbev','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',130,'EXECUTED','7:3431998e711570f510cce4858557d1c3','addNotNullConstraint','',NULL,'3.3.2'),('1436957323846-15','danbev','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',131,'EXECUTED','7:1bbe079945fb769f00267e8db74e5775','addNotNullConstraint','',NULL,'3.3.2'),('1436957323846-16','danbev','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',132,'EXECUTED','7:38806a3905172321b3ee6e80d66c159d','addNotNullConstraint','',NULL,'3.3.2'),('1436957323846-17','danbev','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',133,'EXECUTED','7:089e9628092b92cc8a280310352d3a20','addNotNullConstraint','',NULL,'3.3.2'),('1436957323846-18','danbev','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',134,'EXECUTED','7:e135565b670a1803a3edbaab146941b4','addNotNullConstraint','',NULL,'3.3.2'),('1436957323846-19','danbev','liquibase/1.1.0-Final/2015-07-10-reenable-constraints.xml','2016-03-18 06:45:03',135,'EXECUTED','7:1d4a2bbf2a8ddbf4d11afbdac72ade02','addNotNullConstraint','',NULL,'3.3.2');
/*!40000 ALTER TABLE `ups_db_changelog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ups_db_changeloglock`
--

DROP TABLE IF EXISTS `ups_db_changeloglock`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ups_db_changeloglock` (
  `ID` int(11) NOT NULL,
  `LOCKED` bit(1) NOT NULL,
  `LOCKGRANTED` datetime DEFAULT NULL,
  `LOCKEDBY` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ups_db_changeloglock`
--

LOCK TABLES `ups_db_changeloglock` WRITE;
/*!40000 ALTER TABLE `ups_db_changeloglock` DISABLE KEYS */;
INSERT INTO `ups_db_changeloglock` VALUES (1,'\0',NULL,NULL);
/*!40000 ALTER TABLE `ups_db_changeloglock` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `variant`
--

DROP TABLE IF EXISTS `variant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variant` (
  `VARIANT_TYPE` varchar(31) NOT NULL,
  `id` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `developer` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `secret` varchar(255) DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `api_key` varchar(255) DEFAULT NULL,
  `push_application_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_jlpkx1qkcjaps25wqhp4nkfel` (`api_key`),
  KEY `fk_7vjqh1lbqvlh4ni98qnh8hxkr` (`push_application_id`),
  CONSTRAINT `fk_7vjqh1lbqvlh4ni98qnh8hxkr` FOREIGN KEY (`push_application_id`) REFERENCES `push_application` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `variant`
--

LOCK TABLES `variant` WRITE;
/*!40000 ALTER TABLE `variant` DISABLE KEYS */;
INSERT INTO `variant` VALUES ('android','0a52d59b-200d-41b1-94a1-b70e06c97888',NULL,'admin','Demo Push Server','58ae5877-197c-4fcf-bda6-bef07fcd9acf',0,'4cc0a393-bcf4-4b07-87cc-773cd474ccae','70c87429-8c3f-4341-9b48-759d815949da'),('android','74d56f06-966c-4928-a4d3-b06891447c57',NULL,'admin','Android App','71debccb-2bb0-4d27-a0fc-6ca117af6759',0,'8015354d-722b-4e0c-8b0d-c3b579f73700','75d7451b-9072-4007-baf1-57716c2a6ee2');
/*!40000 ALTER TABLE `variant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `variant_metric_info`
--

DROP TABLE IF EXISTS `variant_metric_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variant_metric_info` (
  `id` varchar(255) NOT NULL,
  `delivery_status` bit(1) DEFAULT NULL,
  `reason` varchar(255) DEFAULT NULL,
  `receivers` bigint(20) NOT NULL,
  `variant_id` varchar(255) NOT NULL,
  `push_message_info_id` varchar(255) DEFAULT NULL,
  `served_batches` int(11) NOT NULL,
  `total_batches` int(11) NOT NULL,
  `variant_open_counter` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `variant_idx` (`variant_id`),
  KEY `fk_ci9sa3eevtel9l172w9b0musj` (`push_message_info_id`),
  CONSTRAINT `fk_ci9sa3eevtel9l172w9b0musj` FOREIGN KEY (`push_message_info_id`) REFERENCES `push_message_info` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `variant_metric_info`
--

LOCK TABLES `variant_metric_info` WRITE;
/*!40000 ALTER TABLE `variant_metric_info` DISABLE KEYS */;
INSERT INTO `variant_metric_info` VALUES ('10576fb4-1225-47f3-ba1e-3f80cb077be8','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','c13b2ca3-8438-4c9b-8694-d855d0fa78ae',1,1,0),('14d6f363-ad7d-4683-baad-b8e997f0cc5e','',NULL,2,'8015354d-722b-4e0c-8b0d-c3b579f73700','aecb6f57-eb05-45df-907c-b7fbb403214f',1,1,0),('370eb46c-fde4-470c-a96d-7a71b215295c','\0','Error sending payload to GCM server',4,'8015354d-722b-4e0c-8b0d-c3b579f73700','b29ec688-1d38-439e-bd9d-03c589bf53cd',1,1,0),('3caa1e99-9722-4df2-8a65-e9aceddb8170','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','2bf334ae-d83d-410d-b96c-08283d7b25f1',1,1,0),('3e6616b8-d1b3-43dd-bb1e-98384ef64380','',NULL,1,'8015354d-722b-4e0c-8b0d-c3b579f73700','af68515e-ee97-427b-b177-3771e32ce550',1,1,0),('4f044dd7-2c04-4756-a734-dcffe873c5d4','',NULL,3,'8015354d-722b-4e0c-8b0d-c3b579f73700','b2fc5ffe-37ef-4408-9ae1-9d1745be1c6d',1,1,0),('500e2258-f9aa-40ec-a038-8be63203af70','',NULL,1,'8015354d-722b-4e0c-8b0d-c3b579f73700','250ede27-031b-407b-879d-5e8e0d414bd8',1,1,0),('596776e2-43f3-445f-8f66-47237c2f0c90','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','2157f41d-810a-4b94-bfcd-cf72705880a1',1,1,0),('59a0c290-9ba8-4e9b-86a5-febf6ec3f541','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','211807d5-da1a-42be-af05-a42f97f3f743',1,1,0),('6172fc32-d0b2-4d3f-979c-310b15402319','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','f81c2c83-0ec4-4e4e-aefb-f80b45caca0b',1,1,0),('64e09ccd-7a4d-479c-bb36-1675c152bdb5','',NULL,2,'8015354d-722b-4e0c-8b0d-c3b579f73700','af2bb109-dff0-43a9-a559-beae4a04bbc8',1,1,0),('68ece0f0-7526-440a-92dd-1f6e12ec6110','',NULL,1,'8015354d-722b-4e0c-8b0d-c3b579f73700','9a6e8655-8be2-421c-9d0d-d0f0e964d4ad',1,1,0),('7710436b-808a-44f9-9bcd-3b39e0ae369d','',NULL,2,'8015354d-722b-4e0c-8b0d-c3b579f73700','e0ecab50-e455-4c40-8f4b-e5324f824201',1,1,0),('7bf26f74-3556-4d5b-89a8-80a45d1527fa','',NULL,2,'8015354d-722b-4e0c-8b0d-c3b579f73700','eb3ffd60-df09-4e1e-afe0-b3727ab82928',1,1,0),('80782a48-d9db-4e14-883b-f9f51a6e6f5a','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','7117a678-dc5c-4c26-b899-de45b7010517',1,1,0),('81741574-9b22-49df-bf00-2fb15416be54','',NULL,0,'8015354d-722b-4e0c-8b0d-c3b579f73700','a3cc42cb-1106-478b-a23b-c856c3e7e721',0,0,0),('8668ee3d-a579-4d7d-8e10-5001311d25ea','',NULL,1,'8015354d-722b-4e0c-8b0d-c3b579f73700','95628dd0-43c6-4bbc-a006-0d61385ea2ec',1,1,0),('8d3a7057-2be9-4f3f-baad-6b754ad1d388','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','bb028e43-7615-422e-92ae-7b3e28c66387',1,1,0),('9384ea6b-1c84-4f0f-9c85-93293cc28a85','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','d0d67a9b-18b5-401a-91f9-c9a9f63d3dee',1,1,0),('9533fda2-1310-434b-978f-eb84b2e0ad3f','',NULL,2,'8015354d-722b-4e0c-8b0d-c3b579f73700','40262f82-2f22-4758-bf04-432e4fb4b12b',1,1,0),('95def89a-196e-4757-9092-2c7537c2cc4c','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','e2723040-6e65-44f9-8947-297e5845154d',1,1,0),('a083730a-df3d-4797-b17f-87bc7d4f5cfc','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','45151fd8-fb64-45c5-9b67-baea0721710e',1,1,0),('a2700e4b-d74d-4116-b90e-160a2ba2b505','',NULL,1,'8015354d-722b-4e0c-8b0d-c3b579f73700','2cf22ab2-86d9-4da4-abb8-fd8b50a9bd83',1,1,0),('a5e10515-cdad-42ba-adc6-230e198c455c','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','887b2403-5a8e-4824-9d85-294c570804b8',1,1,0),('b1448e28-bfaf-4a79-b727-27dd80c6db82','',NULL,2,'8015354d-722b-4e0c-8b0d-c3b579f73700','a32a6311-f14c-470a-9aa3-a95f5618b2b5',1,1,0),('b38c1b91-0306-4bc3-99bd-ae66efa4df0e','',NULL,1,'8015354d-722b-4e0c-8b0d-c3b579f73700','c13f52c1-0332-4083-9ccf-cee2d4749320',1,1,0),('b39767fa-bc4d-40d9-a13d-721fad890f57','',NULL,0,'8015354d-722b-4e0c-8b0d-c3b579f73700','b54a5500-0eb4-4b14-90c1-effa48435911',0,0,0),('b4bd326c-b656-49f3-9a86-d0dc90d29d65','',NULL,4,'8015354d-722b-4e0c-8b0d-c3b579f73700','3bcbbc3f-fb23-4d28-9d1e-08bfea8ab29c',1,1,0),('b63511f2-c242-4b50-8ac5-99f25cdbde3d','',NULL,3,'8015354d-722b-4e0c-8b0d-c3b579f73700','e5d7e597-1852-4317-896f-118f998f6f99',1,1,0),('ba5b5e8d-26cd-46ce-a0c6-21fc1d4cc9b5','',NULL,1,'8015354d-722b-4e0c-8b0d-c3b579f73700','36f7933c-a2be-4d29-b360-1a9b9e67a49c',1,1,0),('c5ae2af7-45f6-40f3-a365-0941291a4a25','',NULL,0,'8015354d-722b-4e0c-8b0d-c3b579f73700','09f4af80-7189-4e16-9f11-7ce8d52b2d77',0,0,0),('c7445a99-197a-420e-8d59-01bae648287c','',NULL,2,'8015354d-722b-4e0c-8b0d-c3b579f73700','51c65510-6660-4baf-8801-85afeb9441c7',1,1,0),('d717a343-954b-47ee-8584-8f60c22513d5','',NULL,2,'8015354d-722b-4e0c-8b0d-c3b579f73700','eed28744-dda7-459a-968d-f825241f37ee',1,1,0),('e053916d-b439-44b0-8f0f-7146cb0238a3','',NULL,1,'8015354d-722b-4e0c-8b0d-c3b579f73700','beecb805-0de1-4a68-8bd9-21d8417abba0',1,1,0),('efa744d4-42b7-48eb-84ea-fdbe83dafb18','',NULL,1,'8015354d-722b-4e0c-8b0d-c3b579f73700','1c334714-feeb-4d57-af08-2a06812fa761',1,1,0),('f19a0910-019f-4de2-8f55-85010001d5fa','',NULL,3,'8015354d-722b-4e0c-8b0d-c3b579f73700','5ea79cf1-0c8c-47ba-9d0e-826512bd786e',1,1,0),('f9f45e06-72b2-4768-8eac-2834b1111a01','',NULL,3,'8015354d-722b-4e0c-8b0d-c3b579f73700','1b162599-162a-42d8-a9d8-e32e90d5c454',1,1,0);
/*!40000 ALTER TABLE `variant_metric_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `windows_mpns_variant`
--

DROP TABLE IF EXISTS `windows_mpns_variant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `windows_mpns_variant` (
  `id` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_649wp2ys69m1jxb33tl3trjig` FOREIGN KEY (`id`) REFERENCES `variant` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `windows_mpns_variant`
--

LOCK TABLES `windows_mpns_variant` WRITE;
/*!40000 ALTER TABLE `windows_mpns_variant` DISABLE KEYS */;
/*!40000 ALTER TABLE `windows_mpns_variant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `windows_wns_variant`
--

DROP TABLE IF EXISTS `windows_wns_variant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `windows_wns_variant` (
  `id` varchar(255) NOT NULL,
  `client_secret` varchar(255) NOT NULL,
  `sid` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_omslx9kb1rm4p2s8t5qvf4wrp` FOREIGN KEY (`id`) REFERENCES `variant` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `windows_wns_variant`
--

LOCK TABLES `windows_wns_variant` WRITE;
/*!40000 ALTER TABLE `windows_wns_variant` DISABLE KEYS */;
/*!40000 ALTER TABLE `windows_wns_variant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'unifiedpush'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2016-05-30 21:57:09
